MPlayer(1)

NOME
mplayer - visualizzatore di film
mencoder - codificatore di film

SOMMARIO
mplayer [opzioni] [ file | URL | playlist | - ]
mplayer
[opzioni globali] file1 [opzioni specifiche] [file2] [opzioni specifiche]
mplayer
[opzioni globali] {gruppo di file ed opzioni} [opzioni specifiche del gruppo]
mplayer
dvd://[titolo | [titolo_iniziale]-titolo_finale ] [opzioni]
mplayer
vcd://traccia[/device]
mplayer
tv://[canale] [opzioni]
mplayer
dvb://[numero_scheda@]canale [opzioni]
mplayer
mf://mascherafile [-mf opzioni] [opzioni]
mplayer
[cdda|cddb]://traccia[:velocita'][/device] [opzioni]
mplayer
cue://file[:traccia] [opzioni]
mplayer
[mms[t]|http|http_proxy|rt[s]p|ftp]:// [utente:password@]URL[:porta] [opzioni]
mplayer
sdp://file [opzioni]
mplayer
mpst://host[:porta]/URL [opzioni]
gmplayer [opzioni] [-skin skin]
mencoder [opzioni] [ file | URL | - ] [-o file]

DESCRIZIONE
mplayer e' un visualizzatore di film per Linux (gira su molte altre piattaforme e architetture di CPU, controlla la documentazione). Visualizza la maggior parte dei file del tipo MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, MKV, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM e RoQ, supportato da molti codec nativi o binari. Puoi guardare VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 ed addirittura film in formato WMV.

MPlayer supporta un ampia gamma di driver di uscita video ed audio. Funziona con X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, libcaca, DirectFB, Quartz, ma puoi anche usare GGI, SDL (e tutti i loro driver), VESA (su ogni scheda compatibile VESA, anche senza X11), qualche driver a basso livello specifico per alcune schede video (per Matrox, 3Dfx e ATI) e qualche scheda di decodifica MPEG hardware come la Siemens DVB, DXR2 e DXR3/Hollywood+. La maggior parte supporta la scalatura via software od hardware cosi' puoi gustarti i filmati a schermo intero.

MPlayer ha un visualizzatore su schermo (On Screen Display, OSD) per fornire informazioni sullo stato, grandi e bei sottotitoli sfumati con antialias ed un riscontro visuale dei comandi da tastiera. Sono supportati font europei/ISO 8859-1,2 (Ungherese, Inglese, Ceco, etc), Cirillici e Coreani insieme a 12 formati di sottotitoli (MicroDVD, SubRip, OGM, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub, PJS ad il nostro: MPsub) oltre ai sottotitoli dei DVD (flussi SPU, VOBsub e Closed Captions).

mencoder (MPlayer's Movie Encoder, Codificatore di film di MPlayer) e' un semplice codificatore di film, progettato per codificare tutti i filmati visualizzabili da MPlayer (vedi sopra) in altri formati sempre visualizzabili da MPlayer (vedi sotto). Codifica il video in formato MPEG-4 (DivX/XviD), uno qualsiasi dei codec di libavcodec e l'audio in PCM/MP3/VBRMP3 in 1, 2 o 3 passi. Inoltre ha la capacita' di copiare direttamente i flussi (stream), un potente sistema di filtri (riduci, espandi, ribalta, post elaborazione, ruota, scalatura, aggiunta rumore, conversioni rgb/yuv) ed oltre.

gmplayer e' MPlayer con una interfaccia utente grafica. Ha le stesse opzioni di MPlayer.

Usempi di utilizzo per farti partire rapidamente possono essere trovati alla fine di questa pagina di manuale. Controlla anche la documentazione in formato HTML!

Nota alla traduzione italiana: nella traduzione alcune parole sono rimaste in inglese (driver in testa) perche' ritengo che renda il tutto piu' chiaro. Alcune parole sono state invece tradotte ma potreste non riconoscerle (ad esempio sharpness) percio' a volte, soprattutto per quello che riguarda opzioni avanzate di codifica oppure opzioni di debug, potrebbero essere piu' comprensibili le pagine di manuale in inglese ;-).

COMANDI DA TASTIERA
MPlayer ha un interfaccia di controllo completamente configurabile, guidata da comandi, che ti permette di controllarlo usando la tastiera, il mouse, un joystick oppure un controllo remoto (utilizzando LIRC).
Controlla l'opzione -input per vedere come personalizzarla.

Controlli generali
    Ricerca indietro/avanti 10 secondi Ricerca indietro/avanti 1 minuto Ricerca indietro/avanti 10 minuti Decrementa/incrementa la velocita' di riproduzione di un 10%. Dimezza/raddoppia la velocita' di riproduzione. Resetta la velocita' di riproduzione a quella del file originale. Indietro/avanti nella playlist Vai alla 'entry' successiva/precedente nella playlist Va alla successiva/precedente sorgente alternativa (solo playlist ASX) Pausa film (un'altra pressione continua) Passo avanti. Premendolo una volta il film passa in pausa, ogni pressione seguente riprodurra' solo un fotogramma per poi ritornare ancora nella modalita' pausa (qualsiasi altro tasto continua). Smette di riprodurre ed esce Regola il ritardo audio di +/- 0.1 secondi Aumenta/diminuisce il volume Aumenta/diminuisce il volume Suono muto Attiva/disattiva schermo intero Attiva/disattiva stay-on-top (rimani in primo piano). Supportato dai driver che usano X11, eccetto SDL, cosi' come da directx e gl2 sotto Windows. Diminuisce/aumenta la gamma del pan-and-scan Cambia lo stato del OSD: nessuno / posizione / posizione + tempo / posizione + tempo + tempo totale Cambia lo stato dell'eliminazione frame: nessuno / salta visualizzazione / salta decodifica (vedi -framedrop e -hardframedrop) Cambia la visibilita' dei sottotitoli Cambia il linguaggio dei sottotitoli
F   Cambia la visualizzazione dei sottotitoli forzati ("forced subtitles") Cambia l'allineamento dei sottotitoli: alto/mezzo/basso Regola il ritardo dei sottotitoli di +/- 0.1 secondi Regola la posizione dei sottotitoli Attiva un punto EDL

I seguenti tasti sono validi solo quando si usa un dispositivo di uscita con accelerazione hardware (xv, (x)vidix, (x)mga, etc), oppure il filtro software di equalizzazione (-vf eq oppure -vf eq2).

Regola il contrasto Regola la luminosita' Regola la tonalita' (hue) Regola la saturazione

(I seguenti tasti sono valido solo quando si utilizza il driver di uscita video quartz.)

Ridimensiona la finestra del video a meta' della sua dimensione originale. Ridimensione la finestra del video alla sua dimensione originale. Ridimensione la finestra del video al doppio della sua dimensione originale. Cambia la modalita' a schermo intero (vedi anche -fs). Regola il canale alpha della finestra del video. Cambia il layer video: in cima/sotto/normale (vedi anche -ontop).

Comandi da tastiera per la GUI
    Inizia la riproduzione Ferma la riproduzione Carica file Selezionatore skin Cambia playlist.

Controlli di ingresso TV
    Seleziona il canale precedente/successivo Cambia la norma (PAL/NTSC) Cambia la lista dei canali

USO
Ogni opzione 'flag' ha una controparte 'noflag', p.es. l'opposto dell'opzione -fs e' -nofs.

Se una opzione e' marcata come (solo XXX) allora funzionera' solo in combinazione con l'opzione XXX oppure se XXX e' compilato dentro.

Puoi mettere tutte le opzioni in un file di configurazione che verra' letto ogni volta che MPlayer viene lanciato. Il file di configurazione globale 'mplayer.conf' e' nella tua directory di configurazione (p.es. /etc/mplayer o /usr/local/etc/mplayer), quello specifico dell'utente e' '~/.mplayer/config'. Le opzioni del file utente hanno precedenza sulle opzioni globali e le opzioni della linea di comando hanno precedenza su quello specificato in entrambi i file. La sintassi del file di configurazione e' 'option=<valore>', tutto quello che viene dopo '#' e' considerato un commento. Le opzioni che si attivano senza valori possono essere abilitate regolandole a 'yes', '1' oppure 'true' e disabilitate regolandole a 'no', '0' oppure 'false'. Anche le sotto opzioni possono essere specificate in questo modo.

ESEMPIO:
# Usa il driver Matrox per default.
vo=xmga
# Mi piace stare a testa in giu' mentre guardo i video.
flip=yes
# Decodifico/Codifica file multipli di tipo png,
# da lanciare con mf://filemask
mf=type=png:fps=25
# Le immagini negative sono forti.
vf=eq2=1.0:-0.8

Puoi anche scrivere configurazioni specifiche per i singoli file. Se desideri avere un file di configurazione per un film che si chiama 'movie.avi', crea un file di nome 'movie.avi.conf' con le opzioni specifiche dentro di esso e salvalo in ~/.mplayer oppure nella stessa directory del file del film.

OPZIONI GENERALI

-codecs-file <nomefile> (vedi anche -afm, -ac, -vfm, -vc)
    Usa il file specificato al posto del file codecs.conf di sistema o di quello integrato nel programma.

-include <configuration file>
    Specifica un file di configurazione da interpretare dopo quelli di default.

-quiet
    Rende l'uscita su console meno verbosa, in particolare disattiva la stampa della linea di stato (cioe' A: 0.7 V: 0.6 A-V: 0.068 ...) Particolarmente utile su terminali lenti oppure che non funzionano correttamente e non gestiscono in modo giusto il ritorno carrello (cioe' \r).

-v, -verbose
    Incrementa il livello di verbosita' (piu' -v significano piu' verbosita'). Solo qualche informazione (default) ` Qualche informazione di base per il debug, intestazione file avi, valori di funzione (init debug) Stampa gli indici dei file avi, i blocchi di ingresso, piu' informazioni di debug (player debug) Stampa tutto quello relativo all'interpretazione dell'ingresso (parser debug)

OPZIONI DI RIPRODUZIONE (SOLO MPLAYER)

-autoq <quality> (da usare con -vf [s]pp)
    Cambia dinamicamente il livello di post elaborazione a seconda del tempo di CPU libero. Il numero che specifichi e' il massimo livello usato. Normalmente puoi usare qualche numero grande. Devi usare l'opzione -vf [s]pp senza parametri per fare funzionare questa opzione.

-autosync <fattore>
    Regola gradualmente la sincronizzazione A/V basandosi sulla misura del ritardo dell'audio. Specificando -autosync 0, il default, la temporizzazione dei frame sara' basata interamente sulla misura del ritardo dell'audio. L'opzione -autosync 1 si comporta nello stesso modo, ma viene cambiato leggermente l'algoritmo di correzione A/V. Un filmato con una velocita' (framerate) irregolare che viene visualizzato in modo corretto con -nosound puo' spesso venir aiutato utilizzando questo parametro ad un valore maggiore di 1. Maggiore il valore, piu' il comportamento sara' simile all'utilizzo di -nosound. Prova -autosync 30 per minimizzare problemi con driver audio che non implementano una misura perfetta del ritardo audio. Con questo valore, se capita un grande ritardo nella sincronizzazione A/V, in circa 1 o 2 secondi tutto quanto si sistemera'. Questo ritardo nella reazione ad improvvisi scostamenti A/V dovrebbe essere l'unico effetto collaterale nell'abilitare questa opzione, per tutti i driver audio.

-benchmark
    Stampa qualche statistica sull'uso della CPU e sui fotogrammi scartati al termine della riproduzione. Usalo in combinazione con -nosound e -vo null se vuoi testare solo il codec video.
    NOTA: Con questa opzione MPlayer ignorera' la durata dei fotogrammi quando si riproduce solo video (puoi pensare a questo come ad fps, frame per second, fotogrammi al secondo, infiniti).

-colorkey <number>
    Cambia colorkey ad una valore RGB di tua scelta. 0x000000 e' nero e 0xffffff e' bianco. Supportato solo dai driver di uscita cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix, xover e directx.

-nocolorkey
    Disabilita il colorkeying. Supportato solo dai driver di uscita cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix e xover.

-crash-debug (CODICE DI DEBUG)
    Attiva automaticamente gdb dopo un crash oppure SIGTRAP. Il supporto deve essere compilato all'interno del programma, configurandolo con --enable-crash-debug oppure nel caso si abbia il file .developer all' interno nell'albero dei sorgenti.

-edl <nomefile> (solo EDL)
    Abilita le azioni della lista di decisione di modifica (edit decision list, EDL) durante la riproduzione. Il video viene saltato e l'audio viene suonato o meno controllato dai valori presenti nel file specificato. Vedi DOCS/HTML/en/edl.html per dettagli su come usare le EDL.

-edlout <nomefile> (solo EDL)
    Crea un nuovo file e scrive comandi della lista di decisione di modifica (EDL) in questo file. Durante la riproduzione, quando l'utente preme 'i', un'azione per saltare gli ultimi due secondi di filmato viene scritta nel file. Questo fornisce un punto di partenza dal quale l'utente puo' successivamente ottimizzare i comandi. Vedi DOCS/HTML/en/edl.html per dettagli.

-enqueue (solo GUI)
    Accoda i file specificati sulla linea di comando nella playlist invece di riprodurli immediatamente.

-fixed-vo (CODICE BETA!)
    Forza un sistema video fisso per file multipli (una sola inizializzazione / deinizializzazione per tutti i file). Percio' solo una finestra verra' aperta per tutti i file. Attualmente i seguenti driver funzionano con fixed-vo: gl, gl2, mga, svga, x11, xmga, xv, xvidix e dfbmga.

-framedrop (vedi anche -hardframedrop)
    Elimina la visualizzazione di alcuni fotogrammi per mantenere il sincronismo A/V con sistemi lenti. I filtri video non sono applicati a questi fotogrammi. Nel caso di fotogrammi di tipo B (B-frames) anche la decodifica viene completamente saltata.

-h, -help, --help
    Visualizza un corto elenco delle opzioni.

-hardframedrop
    Eliminazione ancora piu' intensa di fotogrammi (rovina la decodifica). Porta a distorsioni delle immagini!

-identify
    Visualizza i parametri del file in un formato facile da interpretare. Stampa anche informazioni dettagliate sui sottotitoli, le tracce audio ed i vari ID. Lo script di appoggio TOOLS/midentify toglie il resto delle stampe di MPlayer e (si spera) corregge per la shell (shellescapes) i nomi dei file.

-input <comandi>
    Questa opzione puo' essere usata per configurare certe parti del sistema di ingresso. I percorsi sono relativi a ~/.mplayer/.
    NOTA: L'autorepeat e' attualmente supportato solo dai joysticks.

    I comandi disponibili sono:

    Specifica il file di configurazione dell'input se diverso da quello di default ~/.mplayer/input.conf. Se il parametro e' senza percorso completo viene considerato ~/.mplayer/<nomefile>. Ritardo in msec prima di cominciare ad auto ripetere un tasto (0 per disabilitare) Numero di pressioni di un tasto da generare quando e' attivo l'autorepeat. Stampa tutti i tasti che possono essere collegati ad un comando. Stampa tutti i comandi che possono essere collegati ad un tasto. Specifica il device del joystick da usare (default: /dev/input/js0). Legge i comandi dal file specificato. Normalmente utile con un FIFO.
    NOTA: Quando il file specificato e' un FIFO MPlayer ne apre entrambi gli estremi cosi' puoi dare molti 'echo "seek 10" > mp_pipe' e la pipe rimarra' valida.

-key-fifo-size <2-65000>
    Specifica la dimensione del FIFO che memorizza gli eventi della tastiera (default: 10). Un FIFO di dimensione n puo' bufferizzare (n-1) eventi. Se e' troppo piccolo alcuni eventi potrebbero venir persi (portando ad effetti di 'bottoni del mouse ignorati' o simili). Se e' troppo gramde, MPlayer potrebbe sembrare bloccato mentre elabora gli eventi bufferizzati. Per avere lo stesso comportamento presentato prima dell'introduzione di questa opzione devi caricarla a 2 per Linux ed a 1024 per Windows.

-lircconf <nomefile> (solo LIRC)
    Specifica un file di configurazione per LIRC (default: ~/.lircrc).

-list-options
    Stampa tutte le opzioni disponibili.

-loop <numero>
    Ripete la riproduzione del film <numero> volte. 0 significa per sempre.

-menu (solo menu OSD)
    Attiva il supporto per il menu su OSD.

-menu-cfg <nomefile> (solo menu OSD)
    Usa un file alternativo per menu.conf.

-menu-root <valore> (solo menu OSD)
    Specifica il menu principale.

-menu-startup (solo menu OSD)
    Visualizza il menu principale alla partenza di MPlayer.

-noconsolecontrols
    Evita che MPlayer legga gli eventi della tastiera dall'ingresso standard. Utile quando si leggono dati dall'ingresso standard (stdin). Questa opzione e' automaticamente abilitata quando - viene trovato sulla linea di comando. Ci sono situazioni in cui devi abilitarlo manualmente, p.es. se apri /dev/stdin (oppure l'equivalente nel tuo sistema), utilizzi stdin in una playlist oppure intendi leggere da stdin successivamente oppure attraverso i comandi slave loadfile o loadlist.

-nojoystick
    Disabilita il supporto per il joystick.

-nolirc
    Disabilita il supporto per LIRC.

-nomouseinput (solo X11)
    Disabilita la gestione dell'ingresso della pressione/rilascio dei bottoni del mouse (i menu del contesto di mozplayerxp si basano su questa opzione).

-nortc (solo RTC)
    Disabilita l'utilizzo di Linux RTC (realtime clock, orologio in tempo reale - /dev/rtc) per la gestione delle temporizzazioni.

-playlist <nomefile>
    Riproduce i file seguendo la playlist specificata (formato ASX, Winamp, SMIL oppure un-file-per-linea)
    NOTA: Questa opzione e' considerata un file percio' le opzione trovate successivamente ad essa verranno applicate solo agli elementi di questa playlist.
    FIXME: Questo deve essere chiarito e documentato completamente.

-really-quiet (vedi anche -quiet)
    Visualizza ancora meno informazioni e messaggi di stato che con -quiet.

-rtc-device <device>
    Utilizza il device specificato per le temporizzazioni con RTC.

-shuffle
    Riproduce i file in ordine casuale.

-skin <nome> (solo GUI)
    Carica la skin dalla directory specificata come parametro sotto le directory di default delle skin, /usr/local/share/mplayer/Skin/ e ~/.mplayer/Skin/.

    ESEMPIO: Prova prima in /usr/local/share/mplayer/Skin/fittyfene e poi in ~/.mplayer/Skin/fittyfene.

-slave (vedi anche -input)
    Questa opzione attiva la modalita' slave (schiavo o servo) nella quale MPlayer funziona come riproduttore asservito (backend) di altri programmi. Invece di intercettare gli eventi della tastiera, MPlayer leggera' i comandi da stdin.
    NOTA: Vedi -input cmdlist per la lista dei comandi in modalita' slave e DOCS/tech/slave.txt per la loro descrizione.

-softsleep
    Usa temporizzazioni software di alta qualita' al posto di RTC. Preciso come l'utilizzo di RTC senza richiedere privilegi speciali. Utilizza pero' maggiormente la CPU.

-speed <0.01-100>
    Rallenta o accelera la riproduzione del fattore passato come parametro.

-sstep <sec>
    Visualizza un fotogramma ogni <sec> secondi. Utile per le presentazioni. Visto che MPlayer puo' posizionarsi solo sui fotogrammi chiave questo posizionamento potrebbe essere inesatto. Molti formati hanno un fotogramma chiave ogni <sec> e <sec>+20 secondi.

OPZIONI DEMUXER/STREAM

-a52drc <livello>
    Seleziona il livello di Rapporto di Compressione Dinamica (Dynamic Range Compression) per il flusso audio AC3. <livello> e' un valore in floating point da 0 a 1, dove 0 indica nessuna compressione e 1 (che e' il default) indica compressione completa (rende i passaggi forti / rumorosi piu' silenziosi e viceversa) Questa opzione ha effetto solo se il flusso AC3 contiene le informazioni di compressione necessarie.

-aid <ID> (vedi anche -alang)
    Seleziona il canale audio (MPEG: 0-31, AVI/OGM: 1-99, ASF/RM: 0-127, VOB(AC3): 128-159, VOB(LPCM): 160-191, MPEG-TS 17-8190). MPlayer stampa gli id disponibili se viene lanciato in modalita' verbosa (-v). Quando si riproduce un flusso MPEG-TS, MPlayer/MEncoder useranno il primo programma (se presente) con il flusso audio scelto.

-alang <codice del linguaggio> (vedi anche -aid)
    Suona il flusso audio il cui linguaggio corrisponde al codice dato. Formati contenitore diversi utilizzano diversi codici. I DVD utilizzano i codici a due lettere ISO 639-1, Matroska e NUT usano i codici a tre lettere ISO 639-2 mentre OGM usa un identificatore libero. MPlayer stampa una lista dei linguaggi disponibili se viene lanciato in modalita' verbosa (-v).

    ESEMPIO: Seleziona la traccia italiana su un DVD e passa all'inglese se l'italiano non e' disponibile. Riproduce un file Matroska in giapponese.

-audio-demuxer <numero> (solo -audiofile)
    Forza il tipo di demuxer audio per -audiofile. L'ID deve esse specificato come definito in libmpdemux/demuxer.h. -audio-demuxer 17 forza il formato MP3.

-audiofile <nomefile>
    Suona un file audio da un file esterno (WAV, MP3 oppure Ogg Vorbis) mentre visualizza un filmato.

-audiofile-cache <kBytes>
    Abilita il caching per lo stream usato da -audiofile, utilizzando la quantita' di memoria specificata.

-bandwidth <valore> (solo rete)
    Specifica la massima larghezza di banda (bandwidth) per lo streaming attraverso una rete (per quei server che sono capaci di inviare contenuti, normalmente filmati, a diversi bitrate). Utile se vuoi guardare contenuti multimediali dal vivo con una connessione lenta.

-cdrom-device <percorso al dispositivo>
    Specifica il nome del dispositivo CD-ROM (default: /dev/cdrom).

-cache <kBytes>
    Questa opzione specifica quanta memoria (in kBytes) deve essere usata quando si precarica un file oppure un URL. Utile specialmente con media molto lenti.

-cache-min <percentuale>
    La riproduzione comincera' appena la soglia di riempimento della cache impostata con questa opzione verra' raggiunta.

-cache-prefill <percentuale> (non ancora implementato)
    Quando la cache si e' vuotata MPlayer si mettera' in pausa e la riproduzione ripartira' quando la soglia di pre riempimento della cache impostata con questa opzione verra' raggiunta.

-cdda <opzione1:opzione2> (solo CDDA)
    Questa opzione puo' essere usata per regolare la lettura di CD Audio da parte di MPlayer.

    Le opzioni disponibili sono: Regola la velocita' di rotazione del CD Regola il livello di paranoia 0: disabilita i controlli
    1: Solo controllo di overlap (default)
    2: Controllo e verifica completa dei dati Usa il dispositivo SCSI generico specificato Dimensione di una lettura atomica Forza la ricerca si sovrapposizione minima (minimum overlap search) durante la verifica a <valore> settori Assume che lo scostamento iniziale della traccia 1 come riportato nella TOC sara' indirizzato come LBA 0. Alcuni lettori Toshiba hanno bisogno di questa opzione per ottenere la corretta delimitazione delle tracce. Aggiunge <valore> settori ai valori riportati quando si indirizzano le tracce. Puo' essere negativo. (Non) accetta una ricostruzione imperfetta dei dati.

-channels <numero>
    Cambia il numero di canali da riprodurre (default: 2). Se il numero di canali di uscita e' maggiore del numero dei canali di ingresso vengono inseriti dei canali vuoti (tranne nel caso di miscelazione da mono a stereo dove il canale monofonico e' ripetuto su entrambi i canali di uscita). Se il numero di canali di uscita e' minore del numero dei canali di ingresso il risultato dipende dal decoder audio (-afm). MPlayer chiede al decoder di decodificare l'audio in tanti canali quanti sono quelli specificati. A questo punto e' compito del decoder adempiere alla richiesta. Se il decoder genera piu' canali di quelli richiesti i canali eccedenti sono troncati. Questo e' generalmente importante solo quando si riproducono filmati con audio AC3 (come i DVD). In questo caso liba52 effettua la decodifica per default e correttamente sottomiscela l'audio nel numero di canali richiesti.
    NOTA: Questa opzione e' onorata dai codec (solo AC3), filtri (surround) e driver ao (almeno OSS).

    Le opzioni disponibili sono:

    stereo surround 5.1 completo

-chapter <ID capitolo>[-<ID capitolo finale>] (solo DVD)
    Specifica da quale capitolo deve iniziare la riproduzione. Si puo', opzionalmente, specificare anche a quale capitolo deve fermarsi la riproduzione (default: 1).

-cookies (solo rete)
    Manda cookie quando vengono fatte richieste HTTP.

-cookies-file <nomefile> (solo rete)
    Legge i cookie HTTP da <nomefile> (default: ~/.mozilla/ e ~./.netscape/) e salta la lettura dalle locazioni di default. Il file viene considerato in formato NetScape.

-demuxer <numero>
    Forza il tipo di demuxer audio. L'ID deve esse specificato come definito in libmpdemux/demuxer.h. -demuxer 17 forza il formato MP3.

-dumpaudio (solo MPlayer)
    Scrive il flusso audio compresso grezzo su ./stream.dump (utile con MPEG/AC3).

-dumpfile <nomefile> (solo MPlayer)
    Specifica su quale file MPlayer deve scrivere i flussi (dump). Dovrebbe essere usata con -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (solo MPlayer)
    Scrive il flusso completo (audio/video) compresso grezzo su ./stream.dump. Utile quando si codifica / copia ('rippa') da DVD oppure da una rete.

-dumpvideo (solo MPlayer)
    Scrive il flusso video compresso grezzo su ./stream.dump (non molto usabile).

-dvbin <options> (solo DVB)
    Passa i parametri successivi al modulo DVB (Digital Video Board, Scheda Video Digitale) di ingresso, per poter sovrascrivere i valori di default:

    Specifica il numero di scheda (1-4) da usare (default: 1). Dice a MPlayer di leggere la lista dei canali da <nomefile>. Il default e' ~/.mplayer/channels.conf.{sat,ter,cbl} (basato sul tipo di scheda) oppure ~/.mplayer/channels.conf come ultima risorsa.

-dvd-device <percorso del dispositivo> (solo DVD)
    Specifica il nome del dispositivo DVD (default: /dev/dvd). Puoi anche specificare una directory che contiene una serie di file copiati direttamente da un DVD (con p.es. vobcopy). Nota che usare -dumpstream e' generalmente un metodo migliore per copiare titoli DVD (vedi gli esempi).

-dvdangle <ID angolo> (solo DVD)
    Alcuni dischi DVD contengono scene che possono essere visualizzate da angoli multipli. Qui' puoi dire a MPlayer quale angolo usare (default: 1)

-forceidx
    Forza la ricostruzione dell'indice. Utile per file con indici rovinati (mancata sincronizzazione A/V, etc). Verra' abilitato il posizionamento in file dove non era possibile effettuarlo. Puoi sistemare l'indice in maniera permanente utilizzando MEncoder (controlla la documentazione).
    NOTA: Questa opzione funziona solo se il mezzo di trasporto sottostante supporta il posizionamento (cioe' non con stdin, pipe, etc).

-fps <valore>
    Sovrascrive il valore di velocita' del video (video framerate, frame per secondo, fps). Utile se il valore e' sbagliato o mancante

-frames <numero>
    Visualizza/converte solo i primi <numero> fotogrammi, poi esce.

-hr-mp3-seek (solo MP3)
    Posizionamento ad alta risoluzione per MP3. Abilitato quando si riproduce da un file MP3 esterno in quanto abbiamo bisogno di posizionarci perfettamente per mantenere il sincronismo A/V. Puo' essere lento specialmente quando ci si sposta all'indietro in quanto si deve riposizionare all'inizio per trovare la posizione esatta del frame.

-idx (vedi anche -forceidx)
    Ricostruisce l'indice dei file quando non li trova, permettendo il posizionamento (seek). Utile con file scaricati in modo errato/incompleto, oppure con file creati in modo non corretto.
    NOTA: Questa opzione funziona solo se il mezzo di trasporto sottostante supporta il posizionamento (cioe' non con stdin, pipe, etc).

-ipv4-only-proxy (solo rete)
    Ignora il proxy per gli indirizzi IPv6. Viene comunque usato per connessioni IPv4.

-loadidx <nomefile>
    Il file da cui caricare i dati dell'indice video salvati con -saveidx. Questo indice verra' usato per il posizionamento, sovrascrivendo qualsiasi dato di indice presente nel file AVI stesso. MPlayer non fara' nulla per evitare di farti caricare un file creato con un altro file AVI, ma siamo sicuri che questo creera' risultati sfavorevoli.
    NOTA: Questa opzione e' obsoleta adesso che MPlayer ha la gestione ODML.

-mc <secondi/frame>
    Massima correzione della sincronizzazione A-V per fotogramma (in secondi).

-mf <option1:option2:...>
    Usato nella decodifica da elenco di file in formato PNG o JPEG.

    Le opzioni disponibili sono:

    larghezza del video di uscita (default: calcolata automaticamente) altezza del video di uscita (default: calcolata automaticamente) fps (frame per second, fotogrammi al secondo) del video di uscita (default: 25) tipo dei file di ingresso (tipi disponibili: jpeg, png, tga, sgi)

-ni (solo AVI)
    Forza l'utilizzo del lettore di AVI non-interleaved (permette la riproduzione di qualche file AVI scorretto).

-nobps (solo AVI)
    Non usa il valore della media byte/secondo per gestire il sincronismo A-V. Aiuta nel caso di alcuni file AVI con l'intestazione sbagliata

-noextbased
    Disabilita la selezione del tipo di demuxer basata sull'estensione del file. Per default, quando il tipo di file (demuxer) non puo' essere ricavata in modo sicuro (il file non ha un'intestazione oppure l'intestazione stessa non permette un riconoscimento sufficientemente sicuro) l'estensione del file viene usata per selezionare il demuxer. Si passa poi sempre alla selezione basata sul contenuto.

-passwd <password> (vedi anche -user) (solo rete)
    Specifica l'opzione per l'autentificazione HTTP.

-prefer-ipv4 (solo rete)
    Utilizza IPv4 per le connessioni di rete. Passa se necessario a IPv6 automaticamente.

-prefer-ipv6 (solo rete IPv6)
    Utilizza IPv6 per le connessioni di rete. Passa se necessario a IPv4 automaticamente.

-rawaudio <option1:option2:...>
    Questa opzione ti permette di suonare file audio grezzi. Puo' anche essere usata per riprodurre CD audio che non siano codificati in PCM a 44KHz 16-bit stereo. Per riprodurre flussi grezzi AC3 utilizza -rawaudio on:format=0x2000.

    Le opzioni disponibili sono:

    Utilizza il demuxer audio grezzo (raw) numero di canali campionamento in valori per secondo dimensione in byte di un campionamento bitrate per il file grezzo fourcc (codice del formato) in esadecimale

-rawvideo <option1:option2:...>
    Questa opzione ti permette di visualizzare file video grezzi.

    Le opzioni disponibili sono:

    Utilizza il demuxer video grezzo (raw) velocita' in fotogrammi al secondo (default: 25.0) Seleziona una dimensione standard per il video larghezza immagine in pixel altezza immagine in pixel seleziona lo spazio coloro spazio colore (fourcc) in esadecimale dimensione di un fotogramma in Bytes

-rtsp-stream-over-tcp (solo live.com)
    Utilizzato con URL del tipo 'rtsp://' per specificare che i pacchetti RTP o RTCP devono essere fatti passare su TCP (utilizzando la stessa connessione di RTSP). Questa opzione puo' essere utile se hai una connessione internet che non gestisce in maniera corretta i pacchetti UDP (vedi http://www.live.com/mplayer/).

-saveidx <nomefile>
    Forza la ricostruzione dell'indice e lo scrive su <nomefile>. Attualmente funziona solo con i file AVI.
    NOTA: Questa opzione e' obsoleta adesso che MPlayer ha la gestione ODML.

-sb <posizione byte> (vedi anche -ss)
    Si posiziona al byte specificato. Utile per la riproduzione da immagini (copie fisiche byte per byte) di CD-ROM o di file VOB con dati inutili all'inizio.

-srate <Hz>
    Selezione il valore di frequenza di campionamento dato, effettuando un ricampionamento se necessario. Il tipo di ricampionamento puo' essere controllato dall' opzione -af-adv. Il default e' un ricampionamento veloce che puo' causare distorsioni. MEncoder passa questo valore a LAME per il ricampionamento.

-ss <tempo> (vedi anche -sb)
    Si posiziona al tempo specificato.

    ESEMPIO: Si posiziona a 56 secondi dall'inizio del file Si posiziona a 1 ora 10 minuti dall'inizio del file

-tskeepbroken
    Dice a MPlayer di non scaricare (ignorare) i pacchetti TS indicati come errati (broken) nel flusso. A volte e' necessario per riprodurre dei file MPEG-TS corrotti.

-tsprobe <byte position>
    Nella riproduzione di un flusso MPEG-TS questa opzione ti permette di specificare in quanti bytes vuoi che MPlayer cerchi i pid audio e video desiderati.

-tsprog <1-65534>
    Nella riproduzione di un flusso MPEG-TS puoi specificare con questa opzione quale programma (se presente) vuoi usare. Puo' essere usato con -vid e -aid.

-tv <opzione1:opzione2:...> (solo TV)
    Questa opzione regola varie proprieta' del modulo di cattura TV. Per guardare la TV con MPlayer usa 'tv://' o 'tv://<numero_canale>' o anche 'tv://<nome_canale> (vedi sotto l'opzione channels per nome_canale) come URL del film.

    Le opzioni disponibili sono: niente suono disponibili: dummy, v4l, v4l2, bsdbt848 Specifica il dispositivo TV (default: /dev/video0). Specifica l'ingresso (default: 0 (TV), vedi l'output su console per gli ingressi disponibili). Specifica la frequenza del sintonizzatore (p.es. 511.250). Non e' compatibile con il parametro channels. Specifica il formato di uscita del sintonizzatore con un valore supportato dal driver V4L (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) oppure un formato arbitrario selezionato da un valore esadecimale. Prova outfmt=help per una lista dei formati disponibili. larghezza della finestra di uscita altezza della finestra di uscita velocita' di cattura del video (fotogrammi al secondo) dimensione massima del buffer di cattura (default: dinamica) Per bsdbt848 e v4l sono disponibili PAL, SECAM e NTSC. Per v4l2 controlla l'output su console per una lista di tutte le norme disponibili, vedi anche l' opzione normid sotto. Regola la norma all'ID numerico passato. La norma TV dipende dalla scheda di cattura. Vedi l'output su console per una lista delle norme TV disponibili. Regola il sintonizzatore sul canale <valore>. disponibile: europe-east, europe-west, us-bcast, us-cable, etc Indica i nomi dei canali. Usa _ per gli spazi nei nomi (o divertiti con il quoting ;-). I nomi dei canali verranno scritti usando l'OSD e i comandi slave tv_step_channel, tv_set_channel e tv_last_channel saranno utilizzabili da un controllo remoto (dai un'occhiata a LIRC) Non e' compatibile con il parametro frequency.
    NOTA: Il numero del canale sara' la posizione nella lista 'channels', a partire da 1.
    ESEMPIO: tv://1, tv://TV1, tv_set_channel 1, tv_set_channel TV1 Regola l'equalizzazione dell'immagine sulla scheda Seleziona il bitrate di cattura audio Cattura l'audio anche se non c'e' nessuna sorgente audio riportata da v4l Cattura da ALSA Seleziona il modo audio: 0: mono
    1: stereo
    2: lingua 1
    3: lingua 2 Per default, il conteggio dei canali audio da registrare e' determinato automaticamente interrogando la modalita' audio della scheda TV. Questa opzione permette di forzare la registrazione stereo/mono indipendentemente dall'opzione amode e dai valori riportati da v4l. Puo' essere usato per la risoluzione guasti quando la scheda TV non e' capace di riportare il modo audio corrente. Seleziona un dispositivo audio. <value> deve essere /dev/xxx per OSS ed un ID hardware per ALSA. Vedi la documentazione per -ao alsa per trovare come specificare l'ID hardware. Sceglie una uscita audio della scheda di cattura, se ne ha piu' di una. Queste opzioni regolano i parametri del mixer sulla scheda di cattura video. Non hanno alcun effetto se la tua scheda non ne ha uno. Per v4l2 50 viene mappato sul valore di default del rispettivo controllo come riportato dal driver. Il valore 0 indica di catturare e bufferizare audio e video insieme (default per MEncoder). Il valore 1 (default per MPlayer) indica di effettuare solo la cattura video e lasciare che l'audio passi attraverso un cavo di loopback dalla scheda TV alla scheda audio. Usa la compressione MJPEG hardware (se la scheda lo supporta). Quando si usa questa opzione non e' necessario specificare la larghezza e l'altezza della finestra di uscita perche' MPlayer la determinera' automaticamente dal valore di decimation (vedi sotto). Sceglie la dimensione dell'immagine che verra' creata dall'hardware di compressione MJPEG. 1: dimensione completa
        704x576 PAL
        704x480 NTSC
    2: dimensione media
        352x288 PAL
        352x240 NTSC
    4: dimensione piccola
        176x144 PAL
        176x120 NTSC Seleziona la qualita' della compressione JPEG
    (per la dimensione completa e' raccomandato un valore < 60)

-user <nomeutente> (vedi anche -passwd) (solo rete)
    Specifica nomeutente per l'autentificazione HTTP.

-user-agent <stringa>
    Utilizza <stringa> come user agent per lo streaming HTTP.

-vid <ID>
    Selezione il canale video (MPG: 0-15, ASF: 0-255, MPEG-TS: 17-8190). Nella riproduzione di un flusso MPEG-TS, MPlayer/MEncoder usera' il primo programma (se presente) con il flusso video prescelto.

-vivo <sub-options> (CODICE DI DEBUG)
    Forza i parametri audio per il demuxer .VIVO (per scopi di debugging).

OPZIONI OSD/SOTTOTITOLI
NOTA: Vedi anche -vf expand.

-dumpjacosub (solo MPlayer)
    Converti i sottotitoli (specificati con l'opzione -sub) nel formato dei sottotitoli basato sul tempo JACOsub. Crea un file dumpsub.js nella directory corrente.

-dumpmicrodvdsub (solo MPlayer)
    Converti i sottotitoli (specificati con l'opzione -sub) nel formato dei sottotitoli MicroDVD. Crea un file dumpsub.sub nella directory corrente.

-dumpmpsub (solo MPlayer)
    Converti i sottotitoli (specificati con l'opzione -sub) nel formato dei sottotitoli di MPlayer, MPsub. Crea un file dump.mpsub nella directory corrente.

-dumpsami (solo MPlayer)
    Converti i sottotitoli (specificati con l'opzione -sub) nel formato dei sottotitoli basato sul tempo SAMI. Crea un file dumpsub.smi nella directory corrente.

-dumpsrtsub (solo MPlayer)
    Converti i sottotitoli (specificati con l'opzione -sub) nel formato dei sottotitoli basato sul tempo SubViever (SRT). Crea un file dumpsub.srt nella directory corrente.

-dumpsub (solo MPlayer) (CODICE BETA)
    Estrae il flusso dei sottotitoli dal file VOB. Vedi anche le opzioni -dump*sub e -vobsubout* .

-ffactor <numero> (solo OSD)
    Ricampionamento della mappatura alpha del font. Puo' essere: Semplici font bianchi font outline neri molto sottili (default) font outline neri sottili font outline neri in grassetto

-flip-hebrew (solo FriBiDi)
    Attiva il flipping dei sottotitoli utilizzando FriBiDi.

-noflip-hebrew-commas
    Cambia le assunzioni di FriBiDi sul posizionamento delle virgole nei sottotitoli. Utilizzalo se le virgole nei sottotitoli sono visualizzati all'inizio di una frase invece che alla fine.

-font <path to font.desc file> (solo OSD)
    Cerca i font per OSD/SUB in una directory alternativa (default per i font normali: ~/.mplayer/font/font.desc, default per i font FreeType: ~/.mplayer/subfont.ttf).
    NOTA: Con FreeType, questa opzione determina il percorso del file del font di testo.
    Con fontconfig, questa opzione determina il nome del font fontconfig.

    ESEMPIO: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf
    -font 'Bitstream Vera Sans'

-fontconfig (solo fontconfig)
    Abilita l'utilizzo dei font gestiti da fontconfig.

-forcedsubsonly
    Visualizza solo i sottotitoli forzati (forced subtitles) per il flusso dei sottotitoli del DVD specificato ad esempio con -slang.

-fribidi-charset <charset name> (solo FriBiDi)
    Specifica il charset che sara' passato a FriBiDi quando si decodifica un sottotitolo non-UTF8 (default: ISO8859-8).

-ifo <VOBsub ifo file>
    Indica il file che verra' usato per caricare la palette e la dimensione del fotogramma per i sottotitoli VOBsub.

-noautosub
    Disabilita il caricamento automatico dei file dei sottotitoli.

-osdlevel <0-3> (solo MPlayer)
    Specifica in quale modalita' deve partire l'OSD. Solo sottotitoli volume + posizione (default) volume + posizione + tempo corrente + percentuale volume + posizione + tempo corrente + percentuale + tempo totale

-overlapsub
    Permette al sottotitolo successivo di essere visualizzato mentre quello corrente e' ancora visibile (il default e' abilitare il supporto solo per formati specifici).

-sid <ID> (vedi anche l'opzione -slang)
    Visualizza i sottotitoli del DVD nel linguaggio specificato da <ID> (0-31). MPlayer stampa i linguaggio dei sottotitoli disponibili se eseguito in modalita' verbosa (-v).

-slang <country code[,country  (vedi anche -sid)
    Specifica una lista di priorita' dei linguaggi dei sottotitoli da usare. I linguaggi devono essere specificati come codice del paese a due lettere. MPlayer stampa i linguaggio dei sottotitoli disponibili se eseguito in modalita' verbosa (-v).
    Altrimenti, determina un suffisso opzionale dei sottotitoli che ottiene una priorita' piu' alta nella ricerca dei sottotitoli stessi.

    ESEMPIO: Seleziona Ungherese e passa all'Inglese se l'Ungherese non e' disponibile.

-spuaa <modo> (solo OSD)
    Modalita' di antialias/scalatura per DVD/VOBsub. Il valore 16 puo' essere aggiunto a <modo> per forzare la scalatura anche quando la dimensione del fotogramma originale e di quello scalato corrispondono. Questo puo' essere impiegato per, ad esempio, sfumare i sottotitoli con una sfocatura gaussiana. nessuno (il piu' veloce, molto brutto) approssimato (non funziona?) completo (veloce) bilineare (default, veloce e non troppo male) utilizza la sfocatura gaussiana di swscaler (appare molto bene)

-spualign <-1-2> (solo OSD)
    Specifica come i sottotitoli SPU (DVD/VOBsub) devono essere allineati. posizione originale allineamento in alto (comportamento originale/default) allineamento al centro allineamento in basso

-spugauss <0.0-3.0> (solo OSD)
    Parametro di varianza della sfocatura gaussiana usata da -spuaa 4. Un valore piu' alto significa maggior sfocatura (default: 1.0).

-sub <subtitlefile1,subtitlefile2,...>
    Utilizza/visualizza questi file dei sottotitoli. Puo' essere visualizzato solo un file per volta.

-sub-bg-alpha <0-255>
    Specifica il valore del canale alpha per i sottotitoli e per lo sfondo dell'OSD. Valori piu' grandi indicano maggior trasparenza. 0 indica la completa trasparenza.

-sub-bg-color <0-255>
    Specifica il valore del colore per i sottotitoli e per lo sfondo dell'OSD. Attualmente i sottotitoli sono a scala di grigi e percio' questo valore e' equivalente all'intensita' del colore. 255 indica bianco e 0 nero.

-sub-demuxer <numero> (solo -subfile) (CODICE BETA)
    Forza il tipo di demuxer dei sottotitoli per -subfile. Passa l'ID del demuxer come specificato in subreader.h.

-sub-fuzziness <mode>
    Controlla il riconoscimento adattivo quando si cercano i sottotitoli. corrispondenza esatta Carica tutti i sottotitoli che contengono il nome del file. Carica tutti i sottotitoli nella directory corrente

-sub-no-text-pp
    Disabilita ogni tipo di post elaborazione sui testi fatto dopo il caricamento dei sottotitoli. Usato a scopo di debug.

-subalign <0-2> (solo OSD)
    Specifica come i sottotitoli devono essere allineati con subpos. Allinea in alto (comportamento originale/default). Allinea al centro. Allinea in basso.

-subcc
    Visualizza i sottotitoli Close Caption (CC) dei DVD. Questi NON sono i sottotitoli dei VOB, sono sottotitoli speciali in ASCII per le persone con danni all'udito codificati nei dati utente del flusso VOB in molti DVD della regione 1. Fino ad ora non sono ancora stati trovati dei sottotitoli CC in DVD di altre regioni.

-subcp <codepage> (solo iconv)
    Se il tuo sistema supporta iconv(3) puoi usare questa opzione per specificare la pagina codici (codepage) dei sottotitoli.

    ESEMPIO: -subcp latin2
    -subcp cp1250

-subcp enca:<linguaggio>:<pagina codici di riserva> (solo ENCA)
    Puoi specificare il tuo linguaggio utilizzando il codice a due lettere per fare in modo che ENCA trovi automaticamente la pagina codici. Se non sei sicuro, inserisci qualsiasi cosa e guarda l'uscita di mplayer -v per i linguaggi disponibili. La pagina codici di riserva specifica quale deve usare quando il riconoscimento automatico non funziona.

    ESEMPIO: Trova la codifica, supponendo che i sottotitoli siano cecoslovacchi, passa automaticamente alla modalita' latin 2 se non riesce a trovare i valori corretti. Trova la codifica per il polacco, passa (eventualmente) a cp1250.

-subdelay <sec>
    Ritarda i sottotitoli di <sec> secondi. Puo' essere negativo.

-subfile <nomefile> (CODICE BETA)
    Attualmente inutile. E' lo stesso che -audiofile, ma per il flusso dei sottotitoli (OggDS?).

-subfont-autoscale <0-3> (solo FreeType)
    Attiva la modalita' di auto scalatura.
    NOTA: 0 indica che la scala del testo e dell'OSD sono altezze dei font in punti.

    Le modalita' possono essere:

    niente auto scalatura proporzionale all'altezza del filmato proporzionale alla larghezza del filmato proporzionale alla diagonale del filmato (default)

-subfont-blur <0-8> (solo FreeType)
    Attiva il raggio della sfocatura del font (default: 2).

-subfont-encoding <valore> (solo FreeType)
    Attiva la codifica del font. Quando settato a 'unicode' tutti i glyphs dal file del font verranno disegnati e verra' usato l'unicode (default: unicode).

-subfont-osd-scale <0-100> (solo FreeType)
    Attiva il coefficiente di auto scalatura degli oggetti dell'OSD (default: 6).

-subfont-outline <0-8> (solo FreeType)
    Seleziona l'ampiezza dell'outline del font (default: 2).

-subfont-text-scale <0-100> (solo FreeType)
    Seleziona il coefficiente di auto scalatura del testo dei sottotitoli come percentuale della dimensione dello schermo (default: 5).

-subfps <rate>
    Specifica la velocita' in fotogrammi/sec del file dei sottotitoli (default: stessi valore di fps del filmato).
    NOTA: Solo per file dei sottotitoli basati sui fotogramma, cioe' formato MicroDVD.

-subpos <0-100> (utile con -vf expand) (solo OSD)
    Specifica la posizione dei sottotitoli sullo schermo. Il valore e' la posizione verticale dei sottotitoli in % sull'altezza dello schermo.

-subwidth <10-100> (solo OSD)
    Specifica la larghezza massima dei sottotitoli sullo schermo. Utile per l'uscita TV. Il valore e' l'ampiezza dei sottotitoli in % sulla larghezza dello schermo.

-unicode
    Dice a MPlayer di gestire i sottotitoli come unicode.

-utf8
    Dice a MPlayer di gestire il file dei sottotitoli come UTF-8.

-vobsub <VOBsub file without extension>
    Specifica il file VOBsub da usare per i sottotitoli. Deve essere il percorso completo senza estensione, cioe' senza il '.idx', ',ifo' o '.sub'.

-vobsubid <0-31>
    Specifica l'ID del sottotitolo VOBsub.

OPZIONI DI USCITA AUDIO (SOLO MPLAYER)

-abs <valore> (solo -ao oss) (OBSOLETO)
    Sovrascrive la ricerca della dimensione del buffer del driver/scheda.

-aofile <nomefile>
    Sovrascrive il nome di default del file utilizzato da -ao pcm.

-aop <list=plugin1,plugin2...:option1=value1:opt2=val2...>
    Specifica i plugin audio e le loro opzioni (vedi anche la sezione dei plugin audio nella documentazione).

    Le opzioni disponibili sono: lista separata da virgola dei plugin (resample, surround, format, volume, extrastereo, volnorm, delay) plugin di esempio, non usare (solo plugin delay). formato di uscita (solo il plugin format) frequenza di uscita (solo il plugin resample) volume (solo il plugin volume) coefficiente stereo (default: 2.5) (solo il plugin extrastereo) compressore / capacita' di 'soft-clipping' (solo il plugin volume)

-delay <sec>
    Ritardo audio in secondi (valore float positivo o negativo)

-format <0-8192>
    Seleziona il formato usato per l'uscita dallo strato dei filtri (in accordo con quello definito in libao2/afmt.h): Mu-Law A-Law Ima-ADPCM 8-bit con segno 8-bit senza segno 16-bit senza segno (Little-Endian) 16-bit senza segno (Big-Endian) 16-bit con segno (Little-Endian) 16-bit con segno (Big-Endian) MPEG (2) Audio AC3 32-bit con segno (Little-Endian) 32-bit con segno (Big-Endian)

-mixer <device>
    Utilizza un dispositivo del mixer diverso dal default /dev/mixer. Per ALSA questo e' il nome del mixer.

-mixer-channel <mixer line>[,mixer index] (solo -ao oss e -ao alsa)
    Questa opzione indica a MPlayer di usare un canale differente per controllare il volume dal default PCM. Per OSS le opzioni includono vol, pcm, line. Per una lista completa delle opzioni dai un'occhiata a SOUND_DEVICE_NAMES in /usr/include/linux/soundcard.h. Per ALSA puoi usare i nomi che vengono visualizzati da alsamixer, come Master, Line, PCM.
    NOTA: I nome dei canali del mixer ALSA seguiti da un numero devono essere specificati nel formato <nome,numero>, cioe' un canale indicato come 'PCM 1' in alsamixer deve essere convertito in PCM,1.

-softvol
    Forza l'utilizzo del mixer software invece di usare quello della scheda sonora.

-softvol-max <10.0-10000.0>
    Regola il valore massimo del livello di amplificazione in percentuale (default; 110). Un valore di 200 ti permette di regolare il volume fino ad un massimo di due volte il valore corrente. Con valori sotto a 100 il volume iniziale (che e' 100%) sara' sopra al massimo, che, p.es., l'OSD non riuscira' a visualizzare correttamente.

-nowaveheader (solo -ao pcm)
    Non includere l'intestazione wave. Utilizzato per raw PCM (dati PCM grezzi).

-volstep <0-100>
    Seleziona l'ampiezza dei passi di cambiamento del volume del mixer in percentuale sulla gamma totale (default: 3).

DRIVER DI USCITA AUDIO (SOLO MPLAYER)
I driver di uscita audio sono interfaccie verso le varie possibilita' di uscita audio. La sintassi e'

-ao <driver1[:sottoopzione1[=valore]:...],driver2,...[,]>
    Specifica una lista di priorita' dei driver di uscita da usare.

Se la lista ha un ',' finale MPlayer passa automaticamente ai driver non contenuti nella linea di comando. Le sotto opzioni sono opzionali e possono, generalmente, essere omesse.
NOTA: Vedi -ao help per una lista dei driver di uscita audio compilati internamente.

ESEMPIO: Prova il driver ALSA, poi il driver OSS, poi gli altri. Attiva la modalita' non bloccante, la modalita' mmap e il nome del dispositivo come prima scheda, quarto dispositivo.

I driver di uscita audio disponibili sono:

alsa
    Driver di uscita audio ALSA 0.9/1.x. Attiva la modalita' mmap sperimentale (non funziona per piu' di 2 canali) Seleziona la modalita' noblock (non bloccante) Seleziona il nome del dispositivo. Sostituisci ogni ',' con '.' ed ogni ':' con '=' nel nome del dispositivo ALSA. Devi essere sicuro di non attivare questa opzione se vuoi l'uscita hwac3 attraverso S/PDIF, a meno che tu non sappia veramente come attivarla correttamente.

alsa5
    Driver di uscita ALSA 0.5.

oss Driver di uscita OSS. Seleziona il dispositivo di uscita audio (default: /dev/dsp).

sdl Driver di uscita molto indipendente dalla piattaforma che utilizza la libreria SDL (Simple Directmedia Layer). Seleziona esplicitamente il driver audio SDL da usare (default: lascia scegliere a SDL).

arts
    Genera l'uscita audio attraverso il demone Arts.

esd Genera l'uscita audio attraverso il demone ESD. Seleziona esplicitamente il server ESD da usare (default: localhost).

jack
    Uscita audio attraverso JACK (Jack Audio Connection Kit).

nas Uscita audio attraverso NAS.

macosx (solo Mac OS X)
    Driver di uscita audio nativo per Mac OS X

sgi (solo SGI)
    Driver di uscita nativo per SGI.

sun (solo Sun)
    Driver di uscita nativo Sun. Seleziona esplicitamente il dispositivo audio da usare (default: /dev/audio).

win32 (solo Windows)
    Driver di uscita nativo wave di Windows.

dxr2 (vedi anche -dxr2) (solo DXR2 only)
    Driver specifico per la scheda Creative DXR2.

mpegpes (solo DVB)
    Driver di uscita specifico per DVB.

null
    Non produce uscita audio ma mantiene la velocita' di riproduzione video. Utilizza -noosund per i test di velocita' (benchmarking).

pcm (vedi anche -aofile)
    Driver di uscita grezzo per scrittura di file PCM/wave. Scrive il suono su ./audiodump.wav.

plugin
    Driver di uscita audio plugin.

OPZIONI DI USCITA VIDEO (SOLO MPLAYER)

-aa* (solo -vo aa)
    Puoi avere una lista ed una spiegazione delle opzioni disponibili eseguendo mplayer -aahelp

-adapter <valore>
    Seleziona la scheda grafica che ricevera' l'immagine. Serve anche l'opzione -vm per funzionare. Puoi avere una lista delle schede disponibili se utilizzi questa opzione insieme a -v. Attualmente funziona solo con -vo directx.

-bpp <depth>
    Sovrascrive la selezione automatica della profondita' colore. Supportato solo dai driver di uscita video fbdev, dga, svga e vesa.

-brightness <-100-100>
    Seleziona la luminosita' del segnale video (default: 0). Non e' supportato da tutti i driver video di uscita.

-contrast <-100-100>
    Seleziona il contrasto del segnale video (default: 0). Non e' supportato da tutti i driver video di uscita.

-dfbopts <valore> (solo -vo directfb)
    Specifica una lista di parametri per il driver di uscita video directfb.

-display <name> (solo X11)
    Specifica il nome (hostname) ed il numero del display del server X dove vuoi visualizzare il filmato.

    ESEMPIO: -display xtest.localdomain:0

-dr Attiva il rendering diretto (non supportato da tutti i codec e uscite video)
    ATTENZIONE: Puo' causare malfunzionamenti dell'OSD/SUB!

-dxr2 <option1:option2:...>
    Questa opzione e' usata per controllare il driver video di uscita dxr2. modalita' del rapporto di aspetto (0 = normale, 1 = pan-and-scan, 2 = letterbox (default)) Seleziona la modalita' di uscita iec958 a codifica. Seleziona la modalita' di uscita iec958 a decodifica (default) modalita' macrovision (0 = niente (default), 1 = agc, 2 = agc 2 strisce di colore, 3 = agc 4 strisce di colore) uscita sonora muta riattiva l'uscita sonora. percorso al microcode

    uscita TV
abilita il modo di uscita 7.5 IRE disabilita il modo di uscita 7.5 IRE (default) uscita TV in bianco e nero uscita TV a colori (default) uscita TV interlacciata (default) disabilita l'uscita TV interlacciata (default) norma TV (ntsc (default), pal, pal60, palm, paln, palnc) attiva il modo pixel a square (quadrato) attiva il modo pixel a ccir601

    overlay
Seleziona il valore di ritaglio (crop) a sinistra (default: 50) Seleziona il valore di ritaglio a destra (default: 300) Seleziona il valore di ritaglio in alto (default: 0) Seleziona il valore di ritaglio in basso (default: 0) Seleziona il valore di guadagno del color-key del r(osso), g(reen, verde) e b(lu) valore minimo per la corrispondente color key valore massimo per la corrispondente color key Ignora i valori salvati dell'overlay Aggiorna i valori salvati dell'overlay Abilita l'overlay del display su schermo Disabilita l'overlay del display su schermo (default) Aggiusta la dimensione (h,w) e posizione (x,y) dell'overlay nel caso non corrispondesse perfettamente alla finestra (default: 0) Attiva l'overlay (default) Attiva l'uscita TV Mette a punto l'overlay (default 1000)

-fb <device> (solo -vo fbdev o directfb) (OBSOLETO)
    Specifica il dispositivo del framebuffer da usare (default: /dev/fb0).

-fbmode <modename> (solo -vo fbdev)
    Cambia il modo video a quello indicato come <modename> in /etc/fb.modes.
    NOTA: il framebuffer VESA non supporta il cambio del modo video.

-fbmodeconfig <nomefile> (solo -vo fbdev)
    Indica il file di configurazione dei modi video (default: /etc/fb.modes).

-forcexv (solo -vo sdl)
    Forza l'utilizzo di XVideo attraverso il driver di uscita video sdl.

-fs (vedi anche -zoom)
    Riproduzione a schermo intero (centra il filmato e mette delle barre nere attorno ad esso). Non e' supportato da tutti i driver di uscita video.

-fsmode-dontuse <0-31> (OBSOLETO, usa l'opzione -fs)
    Prova questa opzione se hai ancora problemi con i filmati a schermo intero.

-fstype <type1,type2,...> (solo X11)
    Specifica una lista di priorita' dello modalita' di attivazione a schermo intero da usare. Puoi negare una modalita' prefissandola con `-`. Se hai problemi, ad esempio se la finestra a schermo intero viene coperta da altre finestre, puoi provare ad usare un ordine diverso.
    NOTA: Vedi -fs help per una lista completa delle modalita' disponibili.

    I tipi disponibili sono:

    Utilizza l'hint _NETWM_STATE_ABOVE se disponibile. Utilizza l'hint _NETWM_STATE_BELOW se disponibile. Utilizza l'hint _NETWM_STATE_FULLSCREEN se disponibile. Utilizza l'hint _WIN_LAYER con il layer di default. Utilizza l'hint _WIN_LAYER hint con il numero di layer specificato. Forza lo stile NETWM. Non attivare il layer della finestra a schermo intero. Utilizza l'hint _NETWM_STATE_STAYS_ON_TOP se disponibile.

    ESEMPIO:
Ordine di default, verra' usato come modalita' di sicurezza se vengono specificate delle modalita' non supportate o scorrette. Sistema il passaggio a schermo interno con OpenBox 1.x.

-geometry x[%][:y[%]] or [WxH][+x+y]
    Regola dove viene visualizzato l'uscita sullo schermo inizialmente. I valori di x ed y sono in pixel misurati dall'angolo alto a sinistra dello schermo all'angolo alto a sinistra dell'immagine visualizzata, comunque se viene aggiunto il segno di percentuale ad un argomento il valore viene convertito in una percentuale della dimensione dello schermo in quella direzione. Supporta anche il formato dell'opzione standard di X -geometry. Se viene specificata una finestra esterna utilizzando l'opzione -wid allora le coordinate x ed y sono relative all'angolo in alto a sinistra della finestra stessa piuttosto che allo schermo.
    NOTA: Questa opzione e' supportata dai driver di uscita video x11, xmga, xv, xvmc, xvidix, directx e tdfxfb.

    ESEMPIO: Posiziona la finestra a x=50, y=40. Posiziona la finestra nel mezzo dello schermo. Posiziona la finestra nel mezzo dell'angolo in alto a destra dello schermo Posiziona la finestra nell'angolo in basso a destra dello schermo

-guiwid <window ID> (vedi anche -wid) (solo GUI)
    Questo indica alla GUI di usare anche una finestra X11 e di collegarsi alla parte inferiore del video, che e' utile per inserire una mini-GUI in un browser (ad esempio con il plugin MPlayer).

-hue <-100-100>
    Regola l'hue del segnale video (default: 0) Puoi ottenere dei negativi colorati delle immagini con questa opzione. Non e' supportata da tutti i driver di uscita video.

-monitor-dotclock <range[,range,...]> (solo -vo fbdev e vesa)
    Specifica la gamma del dotclock o pixelclock del monitor.

-monitor-hfreq <range[,range,...]> (solo -vo fbdev e vesa)
    Specifica la gamma di frequenze orizzontali del monitor.

-monitor-vfreq <range[,range,...]> (solo -vo fbdev e vesa)
    Specifica la gamma di frequenze verticali del monitor.

-monitoraspect <ratio> (vedi anche -aspect)
    Seleziona il rapporto di aspetto (aspect ratio) del tuo monitor o dello schermo TV.

    ESEMPIO: -monitoraspect 4:3 o 1.3333
    -monitoraspect 16:9 o 1.7777

-nodouble
    Disabilita il doppio buffering, fondamentalmente usato a scopi di debug.. Il doppio buffering elimina il tremolio (flicker) memorizzando due fotogrammi in memoria e visualizzandone uno mentre decodifica l'altro. Puo' influenzare l'OSD in maniera negativa ma spesso ne rimuove il tremolio.

-nograbpointer
    Non acquisire il puntatore del mouse dopo un cambio di modo video (-vm), utile nel caso di configurazioni con piu' monitor.

-nokeepaspect
    Non mantenere il rapporto di aspetto quando si ridimensionano le finestre. Funziona solo con i driver di uscita video x11, xv, xmga, xvidix, directx. Inoltre sotto X11 il tuo gestore delle finestre deve capire gli hint dell'aspetto finestra.

-noxv (solo -vo sdl)
    Disabilita l'utilizzo di XVideo attraverso il driver di uscita video sdl.

-ontop
    Rende la finestra di visualizzazione del filmato in modalita' 'stay on top', stai in cima, alle altre finestre. Supportato dai driver di uscita video che usano X11, SDL esclusa, cosi' come da directx e gl2.

-panscan <0.0-1.0>
    Abilita le funzionalita' di pan-and-scan (elimina i lati ad esempio di un filmato in formato 16:9 per adattarlo su uno schermo 4:3 senza avere bande nere) Il parametro controlla quanto dell'immagine viene tagliato. Questa opzione funziona solo con i driver di uscita video xv, xmga, mga, gl, quartz e xvidix.

-refreshrate <Hz>
    Attiva la frequenza di rinfresco del monitor in Hz. Attualmente e' supportato solo dal driver -vo directx combinato con l'opzione -vm.

-rootwin
    Visualizza il filmato nella finestra root (lo sfondo del desktop). L'immagine di sfondo del desktop puo' pero' coprire la finestra del video. Funziona solo con i driver di uscita video x11, xv, xmga, xvidix, quartz e directx.

-saturation <-100-100>
    Regola la saturazione del segnale (default: 0). Puoi ottenere un'uscita in bianco e nero con questa opzione. Non supportato da tutti i driver di uscita video.

-screenh <pixels>
    Specifica la risoluzione verticale dello schermo per quei driver di uscita video che non riescono a conoscere la risoluzione dello schermo come fbdev, x11 e TVout.

-screenw <pixels>
    Specifica la risoluzione orizzontale dello schermo per quei driver di uscita video che non riescono a conoscere la risoluzione dello schermo come fbdev, x11 e TVout.

-stop-xscreensaver (solo X11)
    Disattiva il salvaschermo x alla partenza e lo riattiva all'uscita.

-vm Cerca di cambiare in un modo video differente. Supportato dai driver di uscita video dga, x11, xv, sdl e directx. Se e' usato con il driver di uscita video directx allora si possono usare le opzioni -screenw, -screenh, -bpp e -refreshrate per selezionare le caratteristiche del modo di visualizzazione.

-vsync
    Abilita il VBI per i driver di uscita video vesa, dfbmga e svga.

-wid <window ID> (vedi anche iwd) (solo X11 e DirectX)
    Dice ad MPlayer di collegarsi ad una finestra gia' esistente. Uile per 'incastrare' MPlayer in un browser (ad esempio con l'estensione plugger).

-xineramascreen <0-...>
    In configurazioni con Xinerama (cioe' un singolo desktop che si espande su monitor multipli) questa opzione indica a MPlayer su quale schermo deve visualizzare il filmato.

-z <0-9> (solo -vo png)
    Specifica il livello di compressione del driver di uscita png. 0 indica nessuna compressione, 9 e' la compressione massima.

-zrbw (solo -vo zr)
    Visualizza in bianco e nero. Per ottenere prestazioni ottimali, questa opzione puo' essere combinata con `-lavopts gray'.

-zrcrop <[width]x[height]+[x offset]+[y offset]> (solo -vo zr)
    Seleziona una parte dell'immagine per la visualizzazione, occorrenze multiple di questa opzioni attivano la modalita' cinerama. In modalita' cinerama il filmato viene distribuito su piu' di una TV (o proiettore) per creare un'immagine piu' larga. Le opzioni che appaiono dono la n-esima -zrcrop si riferiscono alla n-esima scheda MJPEG, ogni scheda deve avere almeno un -zrdev oltre a -zrcrop. Per esempi dai un'occhiata a quello che stampa l'opzione -zrhelp e la sezione riguardante Zr nella documentazione.

-zrdev <device> (solo -vo zr)
    Specifica il file speciale del dispositivo che appartiene alla tua scheda MJPEG, per default questo driver di uscita video prende il primo dispositivo v4l che riesce a trovare.

-zrfd (solo -vo zr)
    Forza la decimazione. La decimazione, come specificato da -zrhdec e -zrvdec, viene eseguita solo se lo scalatore hardware riesce a riportare l'immagine alle sue dimensioni originali. Usa questa opzione per forzare la decimazione.

-zrhdec <1,2,4> (solo -vo zr)
    Decimazione orizzontale: Chiede al driver di mandare solo una ogni 2 o 4 linee/pixel dell'immagine di ingresso alla scheda MJPEG, dopodiche' viene utilizzato lo scalatore hardware della scheda stessa per riportare l'immagine alle sue dimensioni originali.

-zrhelp (solo -vo zr)
    Visualizza una lista di tutte le opzioni r*, i loro valori di default ed un esempio di modalita' cinerama.

-zrnorm <norm> (solo -vo zr)
    Specifica la norma TV come PAL o NTSC (default: nessun cambiamento).

-zrquality <1-20> (solo -vo zr)
    Un numero da 1 (migliore ) a 20 (peggiore) che rappresenta la qualita' della codifica JPEG.

-zrvdec <1,2,4> (solo -vo zr)
    Decimazione verticale. Chiede al driver di mandare solo una ogni 2 o 4 linee/pixel dell'immagine di ingresso alla scheda MJPEG, dopodiche' viene utilizzato lo scalatore hardware della scheda stessa per riportare l'immagine alle sue dimensioni originali.

-zrxdoff <offset x visualizzazione> (solo -vo zr)
    Se il filmato e' piu' piccolo dello schermo TV, questa opzione specifica la posizione sull'asse x, relativa all'angolo in alto a sinistra dello schermo (default: centrato).

-zrydoff <offset y visualizzazione> (solo -vo zr)
    Se il filmato e' piu' piccolo dello schermo TV, questa opzione specifica la posizione sull'asse y, relativa all'angolo in alto a sinistra dello schermo (default: centrato).

DRIVER DI USCITA VIDEO (SOLO MPLAYER)
I driver di uscita video sono interfaccie alle differenti possibilita' di uscita video. La sintassi e':

-vo <driver1[:sottopzione1[=valore]:...],driver2,...[,]>
    Specifica una lista di priorita' dei driver di uscita video da usare.

Se la lista ha una ',' finale allora MPlayer provera' anche i driver non presenti nella lista. Le sub-opzioni sono opzionali e possono generalmente essere omesse.
NOTA: Vedi -vo help per una lista dei driver di uscita video compilati.

ESEMPIO: Prova il driver X11 Matrox, poi il driver Xv, poi gli altri. Usa il driver DirectX con le accelerazioni disabilitate.

I driver di uscita video disponibili sono:

xv (solo X11)
    Use le estensioni XVideo di XFree86 4.x per abilitare la riproduzione con accelerazione hardware. Se non puoi usare un driver specifico per il tuo hardware, questa e' probabilmente l'opzione migliore. Seleziona una specifica porta XVideo.

x11 (solo X11)
    Driver di uscita video con memoria condivisa senza accelerazione hardware che funziona ogni volta che X11 e' presente.

xover (solo X11)
    Aggiunge il supporto X11 a tutti i driver di uscita video basati sull'overlay. Attualmente e' supportato solo da tdfx_vid. Seleziona il driver da usare come sorgente dell'overlay da utilizzare con X11.

xvmc (solo X11 con -vc ffmpeg12mc)
    Driver di uscita video che utilizza le estensioni XvMC (X Video Motion Compensation) di XFree86 4.x. per velocizzare la decodica dei formati MPEG-1/2 e VCR2. Disabilita la visualizzazione delle immagini. Necessario per effettuare dei test corretti con quei driver che cambiano i buffer delle immagini solo sul rinfresco verticale del monitor (nVidia). Mette in coda i fotogrammi da visualizzare per permettere un miglior lavoro in parallelo dell'hardware video. Puo' aggiungere una piccola (non distinguibile) desincronizzazione costante del flusso A/V. Utilizza la funzione sleep mentre aspetta che finisca la visualizzazione. (non raccomandato con Linux). Non usare la funzione sleep mentre aspetta che finisca la visualizzazione. (default).

dga (solo X11)
    Riproduce il video utilizzando l'estensione Direct Graphics Access di XFree86. Considerato obsoleto.

sdl (vedi anche -forcexv, -noxv) (solo SDL)
    Driver di uscita video molto indipendente dalla piattaforma basato sulla libreria SDL (Simple Directmedia Layer). Visto che la libreria SDL utilizza la propria gestione di X11 le opzioni relative ad X11 di MPlayer non avranno effetto se si utilizza questo driver di uscita video. Seleziona esplicitamente il driver SDL da usare.

vidix
    VIDIX (VIDeo Interface for *niX) e' una interfaccia verso le caratteristiche di accelerazione delle varie schede grafiche. Driver di uscita video molto veloce su schede che lo supportano. Seleziona in modo esplicito il sotto device del driver VIDIX da usare. I driver disponibili sono cyberblade_vid, mach64_vid, mga_crtc2_vid, mga_vid, nvidia_vid, pm3_vid, radeon_vid, rage128_vid, sis_vid e unichrome_vid.

xvidix (solo X11)
    Interfaccia VIDIX di X11. Uguale a vidix

cvidix
    Interfaccia generica ed indipendente dalla piattaforma di VIDIX, puo' girare persino in una console di testo con schede nVidia. Uguale a vidix

winvidix (solo Windows)
    Interfaccia VIDIX di windows. Uguale a vidix

directx (solo Windows)
    Driver di uscita video che utilizza l'interfaccia DirectX. Disabilita l'accelerazione hardware. Prova questa opzione se hai problemi di visualizzazione.

quartz (solo Mac OS X)
    Driver di uscita video per Quartz su Mac OS X. In certi casi potrebbe essere piu' efficiente forzare un formato di uscita YUV packed, con ad esempio -vf format=yuy2. Seleziona il dispositivo di visualizzazione di usare a schermo intero. Specifica la risoluzione a schermo intero (utile su sistemi lenti).

fbdev (solo Linux)
    Utilizza il framebuffer del kernel per l'uscita video. Seleziona esplicitamente il nome del dispositivo fbdev da usare (p.es. /dev/fb0) oppure il nome del sotto dispositivo VIDIX se il nome comincia con 'vidix' (p.es. 'vidixsis_vid' per il driver sis).

fbdev2 (solo Linux)
    Utilizza il framebuffer del kernel per l'uscita video, implementazione alternativa. Seleziona esplicitamente il nome del dispositivo fbdev da usare (default: /dev/fb0).

vesa
    Driver di uscita video molto generale che dovrebbe funzionare su qualsiasi scheda compatibile con VESA VBE 2.0. Attiva il modo DGA. Disattiva il modo DGA. Attiva l'uscita TV di NeoMagic e la seleziona in norma PAL. Attiva l'uscita TV di NeoMagic e la seleziona in norma NTSC. Utilizza il driver VIDIX. Attiva Linux Video Overlay sopra la modalita' VESA.

svga
    Visualizza il video usando la libreria SVGA. Specifica il modo video da usare. Il modo puo' essere dato nel formato <ampiezza>x<altezza>x<colori>, p.es. 640x480x16M o puo' essere un numero di modo grafico, p.es. 84. Disegna l'OSD nelle bande nere sotto al filmato (lento). Utilizza solo funzioni di disegno native. Questo evita il direct rendering, l'OSD e l'accelerazione hardware. Forza il cambio di fotogramma sul rinfresco verticale. Utilizzabile solo con -double. Ha lo stesso effetto che l'opzione -vsync. Prova a selezionare un modo video con pixel quadrati. Utilizza svga con VIDIX.

gl  Driver di uscita video OpenGL. Versione semplice, la dimensione del video deve essere minore della dimensione massima delle texture della vostra implementazione OpenGL. Studiato per funzionare anche con l'implementazione OpenGl piu' semplice. Abilita il supporto per maggiori formati colore (RGB e BGR). Necessita di OpenGL con versione >= 1.2. Numero di linee copiate sulla texture in un blocco unico (default: 4). 0 per l'immagine intera. Abilita o disabilita il supporto per il rendering dell' OSD via OpenGL (default: abilitato). Fondamentalmente utile per test, dovresti usare -osdlevel 0 per disabilitare l'OSD. Cambia il modo in cui l'OSD si comporta quando cambia la dimensione della finestra (default: disabilitato). Se abilitato si comporta piu' come gli altri driver di uscita video, cosa che e' migliore per font di dimensione fissa. Se disabilitato appare molto migliore con i font FreeType ed utilizza i bordi nella modalita' a schermo intero. Abilita o disabilita la scalatura dell'aspetto ed il supporto per il pan-and-scan (default: abilitato). Disabilitarlo puo' incrementare la velocita'.

gl2 Driver di uscita video OpenGL, seconda generazione. Supporta OSD e video piu' grande della dimensione massima della texture.

null
    Non produce nessuna uscita video, utile per benchmarking (prove di velocita').

aa (vedi anche -aa*)
    Driver di uscita video ASCII art che funziona su una console di testo.

caca
    Driver di uscita video per ASCII Art a Colori (Colour AsCii Art) che funziona su una console di testo.

bl  Riproduzione video utilizzando il protocollo UDP Blinkenlights. Questo driver e' altamente hardware specifico. Seleziona esplicitamente il driver del dispositivo Blinkenlights da usare. E' qualcosa del tipo arcade:host=localhost:2323 oppure hdl:file=name1,file=name2. Devi specificare un sottodevice!

ggi Driver di uscita video per il sistema grafico GGI. Seleziona esplicitamente il driver GGI da usare.

directfb
    Visualizza il video utilizzando la libreria DirectFB. Utilizza il codice della tastiera di DirectFB invece di quello standard di MPlayer. (default: disabilitato) Il doppio ed il triplo buffering danno i migliori risultati se vuoi evitare problemi di tearing. Il triplo buffering e' piu' efficiente del doppio buffering perche' non blocca MPlayer ad aspettare il tracciamento verticale. La bufferizzazione singola dovrebbe essere evitata (default: single) Controlla l'ordine di uscita dei fotogrammi interlacciati (default: disabilitato). Valori validi sono top (prima il field superiore) e bottom (prima il field inferiore). Questa opzione non ha alcune effetto su materiale progressivo, generalmente la maggior parte dei film MPEG. Devi abilitare questa opzioni se hai effetti di tearing oppure movimenti non uniformi guardando materiale interlacciato. Forza l'utilizzo del layer con ID N per la riproduzione (default: -1 - auto).

dfbmga
    Driver di uscita video specifico per Matrox G400/G450/G550 che utilizza la libreria DirectFB per utilizzare speciali caratteristiche hardware. Abilita CRTC2 (la seconda uscita, head), visualizzando il video in modo indipendente dalla prima uscita. Abilita l'utilizzo del BES (backend scaler) Matrox. Genera risultati molto buoni per quanto riguarda velocita' e qualita' di uscita visto che l'interpolazione dell'immagine viene fatta dall'hardware. Lavora solo sull'uscita principale. Default: disabilitata. Utilizza il layer Matrox sub picture per visualizzare l'OSD di MPlayer. Default: Abilitato Attiva l'uscita TV sella seconda uscita. La qualita' di uscita e' stupefacente in quanto e' un immagine completamente interlacciata con sincronismo corretto per ogni field pari e dispari. Default: Abilitata Utilizza il codice della tastiera di DirectFB invece di quello standard di MPlayer. (default: disabilitato) Il doppio ed il triplo buffering danno i migliori risultati se vuoi evitare problemi di tearing. Il triplo buffering e' piu' efficiente del doppio buffering perche' non blocca MPlayer ad aspettare il tracciamento verticale. La bufferizzazione singola dovrebbe essere evitata (default: triple) Controlla l'ordine di uscita dei fotogrammi interlacciati (default: disabilitato). Valori validi sono top (prima il field superiore) e bottom (prima il field inferiore). Questa opzione non ha alcune effetto su materiale progressivo, generalmente la maggior parte dei film MPEG. Devi abilitare questa opzioni se hai effetti di tearing oppure movimenti non uniformi guardando materiale interlacciato. Setta la norma TV della scheda Matrox senza bisogno di modificare /etc/directfbrc (default: disabilitato). Le norme valide sono pal = PAL, ntsc = NTSC. La norma auto e' speciale (viene abilitata automaticamente PAL/NTSC) in quanto decide quale norma utilizzare basandosi sulla velocita' (framerate) del filmato).

mga (solo Linux)
    Driver di uscita video specifico Matrox che utilizza il back end scaler hardware delle schede Gxxx attraverso un modulo del kernel. Se hai una scheda Matrox questa e' l'opzione piu' veloce. Seleziona esplicitamente il nome del dispositivo Matrox da usare (default: /dev/mga_vid).

xmga (Linux, solo X11)
    Driver di uscita video mga che gira in una finestra X11. Seleziona esplicitamente il nome del dispositivo Matrox da usare (default: /dev/mga_vid).

syncfb
    Driver video di uscita per il modulo del kernel SyncFB, il quale fornisce speciali caratteristiche delle schede Matrox Gxxx come deinterlacciamento, scalatura e sincronizzazione dell'uscita video con il rinfresco verticale del tuo monitor.

3dfx (solo Linux)
    Driver di uscita video specifico per 3Dfx. Questo driver utilizza direttamente l'hardware della scheda 3Dfx sopra a X11. Sono supportati solo 16 bpp. FIXME: E' ok la differenza tra 3dfx, tdfxfb e tdfx_vid?

tdfxfb (solo Linux)
    Questo driver utilizza il driver del framebuffer tdfx per riprodurre filmati con accelerazione YUV su schede 3Dfx. FIXME: E' ok la differenza tra 3dfx, tdfxfb e tdfx_vid? Seleziona esplicitamente il nome del dispositivo fbdev da usare (default: /dev/fb0).

tdfx_vid (solo Linux)
    Driver specifico di uscita video 3Dfx. Questo driver utilizza direttamente il modulo del kernel tdfx_vid. FIXME: E' ok la differenza tra 3dfx, tdfxfb e tdfx_vid? Seleziona esplicitamente il nome del dispositivo fbdev da usare (default: /dev/tdfx_vid).

dxr2 (vedi anche -dxr2) (solo DXR2)
    Driver di uscita video specifico per Creative DXR2. Driver di uscita video da utilizzare come overlay (x11, xv).

dxr3 (solo DXR3)
    Driver di uscita video specifico del chip di decodifica MPEG Sigma Designs em8300 (Creative DXR3, Sigma Designs Hollywood Plus). Vedi anche il filtro video lavc. Attiva l'overlay invece che l'uscita TV. Attiva il prebuffering. Abilita il nuovo motore di sincronismo. Specifica la norma TV. 0: Non cambia la norma corrente (default).
    1: Auto selezione usando PAL/NTSC.
    2: Auto selezione usando PAL/PAL-60.
    3: PAL
    4: PAL-60
    5: NTSC Specifica il numero di dispositivo se hai piu' di una scheda em8300. +.RE

mpegpes (solo DVB)
    Driver di uscita video specifico per schede DVB che scrive i dati su un file in formato MPEG-PES se non e' presente nessuna scheda DVD. Specifica il numero del dispositivo da usare se hai piu' di una scheda di uscita DVB (solo API V3, come i driver della serie 1.x.y). Permette di specificare il nome del file di uscita (default: ./grab.mpg).

zr (vedi anche -zr* e -zrhelp)
    Driver di uscita video per un certo numero di schede di cattura e riproduzione MJPEG. Vedi anche le opzioni -zr* e -zrhelp.

zr2 (vedi anche il filtro video zrmjpeg)
    Driver di uscita video per un certo numero di schede di cattura e riproduzione MJPEG, seconda generazione. Specifica il dispositivo da usare. Attiva la norma PAL. Attiva la norma SECAM. Attiva la norma NTSC. Attiva il prebuffering, non ancora supportato.

md5sum
    Calcola la sommatoria MD5 di ogni fotogramma e la scrive su un file. Supporta gli spazi colori RGB24 e YV12. Utile per il debug. Specifica il file di uscita (default: ./md5sums).

yuv4mpeg
    Trasforma il flusso video in una sequenza di immagini non compresse in formato YUV 4:2:0 e le memorizza in un file (default: ./stream.yuv). Il formato e' lo stesso utilizzato da mjpegtools, percio' questo e' utile se vuoi processare il video con la suite mjeptools. Supporta gli spazi colore YV12, RGB (24 bpp) e BGR (24 bpp). Puo' combinarlo con l'opzione -fixed-vo per concatenare file con le stesse dimensioni e la stessa velocita' (fps). Scrive il file di uscita con fotogrammi interlacciati, prima i field superiori. Scrive il file di uscita con fotogrammi interlacciati, prima i field inferiori. Scrive l'uscita su <nomefile> invece che il default stream.yuv.

    NOTA: Se non specifichi nessuna opzione il file di uscita e' progressivo (cioe' non interlacciato).

gif89a
    Scrive ogni fotogramma in un singolo file GIF animato nella directory corrente. Supporta solo lo spazio colore RGB con 24 bpp e l'uscita viene convertita in 256 colori. Valore float che specifica la velocita' del filmato (default: 5.0 fps). Specifica il file di uscita (default: ./out.gif).

    NOTA: Devi specificare la velocita' prima del nome del file oppure fara' parte del nome del file.

    ESEMPIO:
mplayer video.nut -vo gif89a:15.0:test.gif

jpeg
    Scrive ogni fotogramma in un file JPEG nella directory corrente. Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali. Specifica JPEG standard o progressivi (default: non progressivo) Specifica l'utilizzo o meno del baseline (default: baseline) fattore di ottimizzazione (default: 100). fattore di 'lisciatura' (default: 0). fattore di qualita' (default: 75). Specifica la directory dove salvare i file (default: ./). Crea sottodirectory numerate con il prefisso specificato in cui salvare i file invece che nella directory corrente. Numero massimo di file da scrivere in ogni sotto directory. Deve essere uguale o maggiore di 1 (default:1000).

pnm Scrive ogni fotogramma in un file PNM nella directory corrente. Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali. Supporta i formati PPM, PGM e PGMYUV nelle modalita' raw ed ASCII. Vedi anche pnm(5), ppm(5) e pgm(5). Scrive file PPM (default). Scrive file PGM. Scrive file PGMYUV. Il formato PGMYUV e' analogo al formato PGM, ma contiene anche i piani U e V, attaccati alla fine dell'immagine. Scrive i file PNM in modalita' raw, cioe' grezza (default). Scrive i file PNM in modalita' ASCII. Specifica la directory dove salvare i file. Se non specificata tutti i file verranno salvati nella directory corrente. Crea sottodirectory numerate con il prefisso specificato in cui salvare i file invece che nella directory corrente. Numero massimo di file da scrivere in ogni sotto directory. Deve essere uguale o maggiore di 1 (default:1000).

png (vedi anche -z)
    Scrive ogni fotogramma in un file PNG nella directory corrente. Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali. Sono supportati i formati RGB e BGR a 24 bpp.

tga Scrive ogni fotogramma in un file Targa (TGA) nella directory corrente. Il nome del file viene creato dal numero del fotogramma riempito con zeri iniziali. Lo scopo di questo driver di uscita video e' avere un semplice formato di immagini senza perdita di qualita' da usare senza librerie esterne. Supporta i formati colori BGR[A], con 15, 24 e 32 bpp. Puoi forzare un formato particolare con il filtro video format.

    ESEMPIO:
mplayer video.nut -vf format=bgr15 -vo tga

OPZIONI DI DECODIFICA/FILTRAGGIO

-ac <[-]codec1,[-]codec2,...[,]>
    Specifica una lista di priorita' di codec audio da usare, in accordo con il loro nome in codecs.conf. Usa un '-' prima del nome del codec per ometterlo. Se la lista ha una ',' finale allora MPlayer provera' ad usare anche i codec non presenti nella lista.
    NOTA: Vedi -ac help per una lista completa dei codec disponibili.

    ESEMPIO: Forza il codec MP3 l3codeca.acm Prova libmad prima, poi passa agli altri Prova prima il decodificatore hardware AC3 (AC3 passthrough), poi il codec software AC3, poi gli altri. Salta (ignora) il decoder MP3 di FFmpeg.

-af-adv <force=(0-3):list=(filters)> (vedi anche -af)
    Specifica le opzioni avanzate dei filtri audio: Forza l'inserzione del filtro audio a uno dei seguenti: 0: Inserzione completamente automatica dei filtri (default).
    1: Ottimizza per la precisione.
    2: Ottimizza per la velocita'.
    3: Disabilita l'inserzione automatica dei filtri. Stesso significato di -af.

-afm <driver1,driver2,...>
    Specifica una lista di priorita' delle famiglie di codec audio da usare, in accordo al loro nome del codec in codecs.conf. Passa al default se nessuna delle famiglie di codec specificata funziona.
    NOTA: Guarda -afm help per una lista completa delle famiglie disponibili.

    ESEMPIO: Prova prima i codec di libavcodec da FFmpeg). Prova prima i codec di Win32

-aspect <ratio>
    Sovrascrive il valore del rapporto di aspetto del filmato. E' ricavato automaticamente nei file MPEG ma generalmente non puo' essere ricavato da molti file AVI.

    ESEMPIO: -aspect 4:3 o -aspect 1.3333
    -aspect 16:9 o -aspect 1.7777

-noaspect
    Disabilita la compensazione automatica del rapporto di aspetto del film.

-flip
    Ribalta l'immagine alto-basso.

-lavdopts <option1:option2:...> (CODICE DI DEBUG)
    Specifica i parametri di decodifica di libavcodec.

    ESEMPIO: -lavdopts bug=1

    Le opzioni disponibili:
Lavora manualmente alla risoluzione degli errori del codificatore. 0: niente
1: rileva automaticamente i bug (default)
2 (msmpeg4v3): qualche vecchio file msmpeg4v3 generato da lavc (niente rilevamento automatico)
4 (mpeg4): bug dell'interlacciamento di XviD (rilevato automaticamente se fourcc==XVIX)
8 (mpeg4): UMP4 (rilevato automaticamente se fourcc==UMP4)
16 (mpeg4): bug di padding (rilevato automaticamente)
32 (mpeg4): bug vlc illegale (rilevato automaticamente per fourcc)
64 (mpeg4): qpel bug di XviD e DivX (rilevato automaticamente per fourcc/versione)
128 (mpeg4): vecchio standard qpel (rilevato automaticamente per fourcc/versione)
256 (mpeg4): altro bug qpel (rilevato automaticamente per fourcc/versione)
512 (mpeg4): bug direct-qpel-blocksize (rilevato automaticamente per fourcc/versione)
1024 (mpeg4): bug di edge padding (rilevato automaticamente per fourcc/versione) Visualizza informazioni di debug.
0: disabilitato
1: informazioni immagine
2: controllo del bitrate
4: flusso dei bit
8: tipi di macroblocchi (MB)
16: parametro di quantizzazione (QP)
32: Vettori di Movimento
0x0040: Visualizzazione dei vettori di movimento (usa -noslices)
0x0080: MB saltati
0x0100: startcode
0x0200: PTS
0x0400: recupero degli errori
0x0800: operazioni di controllo della gestione della memoria (H.264)
0x1000: bugs Seleziona la strategia di occultamento degli errori. 1: Usa un filtro molto forte di eliminazione degli effetti di blocco per MB danneggiati
2: ricerca MV iterattiva (lenta)
3: tutto (default) Seleziona la strategia di recupero degli errori.
0: disabilitato
1: attento (Dovrebbe funzionare con codificatori errati.)
2: normale (default) (Funziona con codificatori corretti.)
3: aggressivo (Piu' controlli ma puo' causare problemi anche con flussi validi.)
4: molto aggressivo Abilita ottimizzazione che non rispettano completamente le specifiche e potrebbero potenzialmente causare problemi, come una dequantizzazione semplice, presumere l'utilizzo della matrice di quantizzazione di default, presumere YUV 4:2:0 ed evitare qualche controllo per riconoscere flussi danneggiati. decodifica a scala di grigi (un poco piu' veloce che a colori). Per la miglior qualita' di decodifica utilizza lo stesso algoritmo di IDCT sia per la decodifica che per la codifica. Questo puo' pero' portare a qualche inaccuratezza. Decodifica a risoluzione piu' basse. La decodifica a basse risoluzioni non e' supportata da tutti i codec e spesso generera' degli sgradevoli artefatti. Questo non e' un bug ma un effetto collaterale del fatto di non decodificare a risoluzione completa.
0: disabilitata
1: 1/2 risoluzione
2: 1/4 di risoluzione
3: 1/8 di risoluzione
    Se <l> viene specificato la decodifica a bassa risoluzione verra' usata solo se l'ampiezza del video e' maggiore od uguale a <l>.
Salta il numero indicato di righe di macroblocchi in basso. Salta il numero indicato di righe di macroblocchi in alto. Visualizza i vettori di movimento.
0: disabilitato
1: visualizza gli MV previsti in avanti dei fotogrammi P
2: visualizza gli MV previsti in avanti dei fotogrammi B
4: visualizza gli MV previsti in indietro dei fotogrammi B Stampa alcune statistiche e le memorizza in ./vstats_*.log.

-noslices
    Disabilita il disegno del video a strisce / bande alte 16 pixel, invece disegna il fotogramma completo tutto in una volta. Puo' essere piu' veloce o piu' lento, a seconda della scheda/cache. Ha effetto solo con i codec libmpeg2 e libavcodec.

-nosound
    Non riprodurre/codificare il suono. Utile per le prove di velocita' (benchmark).

-novideo
    Non riprodurre/codificare il video.

-oldpp <quality> (solo OpenDivX) (OBSOLETO)
    Usa il codice di post elaborazione di opendivx invece di quello interno. Soppiantato da -pp, le routine di post elaborazione interne offrono miglior qualita' e prestazioni. La gamma valida del valore di -oldpp varia da codec a codec, generalmente deve essere 0-6, dove 0=disabilitato 6=piu' lento/migliore.

-pp <quality> (vedi anche -vf pp)
    Regola il livello di post elaborazione della DLL. Questa opzione non e' piu' utilizzabile con -vf pp. Funziona solo con le DLL del DirectShow di Win32 che hanno delle routine di post elaborazione interne. La gamma valida del valore di -oldpp varia da codec a codec, generalmente deve essere 0-6, dove 0=disabilitato 6=piu' lento/migliore.

-pphelp (vedi anche -vf pp)
    Visualizza un sommario sui filtri di post elaborazione disponibili ed il loro utilizzo.

-ssf <mode>
    Specifica i parametri della scalatura software.

    ESEMPIO: -vf scale -ssf lgb=3.0
filtro di sfocatura gaussiana (luma) filtro di sfocatura gaussiana (croma) filtro di nitidezza (luma) filtro di nitidezza (croma) spostamento orizzontale della crominanza spostamento verticale della crominanza

-stereo <mode>
    Seleziona il tipo di uscita stereo di MP2/MP3. stereo canale sinistro canale destro

-sws <tipo scalatore software> (vedi anche -vf scale e -zoom)
    Specifica l'algoritmo da utilizzare nella scalatura software attivata dall'opzione -zoom. Questo influenza quei driver di uscita video a cui manca l'accelerazione hardware (ad esempio x11).

    I tipi disponibili sono:

    bilineare veloce bilineare bicubica (buona qualita') (default) sperimentale piu' vicino (cattiva qualita') area luminanza bicubica / crominanza bilineare gauss sincR lanczos spline bicubica naturale

    NOTA: Per -sws 2 e 7, la nitidezza (sharpness) puo' essere selezionata con il parametro della scalatura di -vf scale ( 0 (morbido) - 100 (nitido)), per -sws 9 il parametro di scalatura specifica invece la lunghezza del filtro (1 - 10).

-vc <[-]codec1,[-]codec2,...[,]>
    Specifica una lista di priorita' dei codec video da usare, in accordo al loro nome in codecs.conf. Utilizza un '-' prima del nome del codec per ometterlo. Se la lista ha una ',' finale, MPlayer provera' ad usare anche i codec non elencati nella lista.
    NOTA: Vedi -vc help per una lista completa dei codec disponibili.

    ESEMPIO: Forza il codec DivX Win32/VFW DivX, non usa comunque gli altri. Prova prima il codec divx4linux, poi passa agli altri Ignora i codec DivX di Win32 Prova il codec MPEG-1/2 di libavcodec, poi libmpeg2, poi gli altri

-vfm <driver1,driver2,...>
    Specifica una lista di priorita' delle famiglie di codec video da usare in accordo ai loro nome in codecs.conf. Passa ai codec di default se nessuna delle famiglie specificate funziona.
    NOTA: Vedi -vfm help per una lista completa delle famiglie disponibili.

    ESEMPIO: Prova i codec di libavcodec, poi DirectShow, poi VfW e poi passa agli altri se ancora nessuno funziona. Prova prima i codec XAnim

-x <x> (solo MPlayer)
    Scala l'immagine alla larghezza <x> (se la scalatura software/hardware e' disponibile). Disabilita il calcolo dell'aspetto.

-xvidopts <option1:option2:...>
    Specifica dei parametri addizionali quando si decodifica con XviD.
    NOTE: Visto che libavcodec e' piu' veloce di XviD potresti volerne usare il filtro di post elaborazione (-vf pp) ed il decoder (-vfm ffmpeg).

    filtri interni di post elaborazione di XviD: filtro di de-block della crominanza filtro di de-block della luminanza filtro di eliminazione degli effetti ad anello della luminanza filtro di eliminazione degli effetti ad anello della crominanza Attiva il filtro interno di XviD per l'effetto della grana del film. Aggiunge una grana artificiale al video. Puo' migliorare la qualita' percepita anche se abbassa l'effettiva qualita'.

    metodi di rendering:
Attiva il metodo 2 di direct rendering. Disattiva il metodo 2 di direct rendering.

-xy <valore>
    Scala l'immagine di un fattore <valore>. Carica l'ampiezza al valore specificato e calcola l'altezza per mantenere un rapporto di aspetto corretto.

-y <y> (solo MPlayer)
    Scala l'immagine all'altezza <y> (se la scalatura software/hardware e' disponibile). Disabilita il calcolo dell'aspetto.

-zoom
    Permette la scalatura via software quando disponibile. Puo' essere usato per forzare la scalatura con -vf scale.
    NOTA: -vf scale ignorera' le opzioni -x / -y / -xy / -fs / -aspect senza -zoom.

FILTRI AUDIO
I filtri audio ti permettono di modificare il flusso video e le sue proprieta'. La sintassi e':

-af <filtro1[=parametro1:parametro2:...],filtro2,...>
    Attiva una catena di filtri audio.

NOTA: Per avere una lista completa dei filtri audio disponibili vedi -af help.

I filtri disponibili sono:

resample[=srate[:sloppy][:type]]
    Cambia la frequenza di campionamento del flusso audio ad un valore intero di Hz. Supporta solo il formato a 16-bit little-endian. Con MEncoder si deve usare anche -srate <srate>

lavcresample[=frequenza[:lunghezza[:lineare[:conteggio[:taglio]]]]]
    Cambia la frequenza di campionamento del flusso audio ad un valore intero di Hz. Supporta solo il formato a 16-bit little-endian. Con MEncoder si deve usare anche -srate <srate> frequenza di campionamento di uscita. lunghezza del filtro in rapporto alla frequenza piu' bassa (default: 16) se ad 1 allora il filtro verra' interpolato linearmente tra i valori delle polifasi. log2 del numero di valori delle polifasi (..., 10->1024, 11->2048, 12->4096, frequenza di taglio (0.0-1.0), il valore di default dipende dalla lunghezza del filtro

sweep[=velocita']
    'sweep' sinosuidale (??? cosa significa ???)

hrtf
    Funzione di trasferimento riferita alla testa: Converte l'audio multicanale in una uscita a due canali per le cuffie, preservando la spazialita' del suono.

channels[=nch]
    Cambia il numero di canali a nch canali di uscita. Se il numero di canali di uscita e' maggiore del numero di canali di ingresso vengono inseriti dei canali vuoti (eccetto nel caso da mono a stereo dove il canale mono viene ripetuto su entrambi i canali di uscita). Se il numero di canali di uscita e' minore del numero di canali di ingresso i canali in eccesso sono troncati.

format[=bps:f]
    Seleziona il numero di byte per campionamento ed il formato usato per l'uscita dalla gestione dei filtri L'opzione bps e' un intero ed indica i byte per campionamento. Il formato f e' una stringa che contiene un insieme di:
    alaw, mulaw o imaadpcm
    float o int
    unsigned o signed (senza segno, con segno)
    le or be (little- o big- endian)

volume[=v:sc]
    Seleziona il livello del volume di uscita. Questo filtro non e' rientrante e percio' puo' essere usato solo una volta per ogni flusso audio. Setta il guadagno desiderato in dB per tutti i canali del flusso da -200dB a +60dB (dove -200dB ammutoliscono completamente il suono mentre +60dB corrispondono ad un guadagno di 1000 volte). Abilita il soft clipping.

pan[=n:l01:l02:..l10:l11:l12:...ln0:ln1:ln2:...]
    Miscela i canali arbitrariamente, guarda DOCS/HTML/en/audio.html per dettagli. numero di canali d'ingresso (1-6). Quanto del canale di ingresso j viene miscelato nel canale di uscita i.

sub[=fc:ch]
    Aggiungi il canale del subwoofer. Frequenza di taglio del filtro passa basso (da 20Hz a 300Hz) (default: 60Hz). Numero del canale per il sotto-canale.

surround[=d]
    Decodificatore per il suono surround codificato a matrice (matrix encoded surround sound), funziona sulla maggior parte dei file a 2 canali. tempo di ritardo in ms per l'altoparlante posteriore (da 0ms a 1000ms) (default: 15ms).

delay[=ch1:ch2:...]
    Ritardi dell'uscita del suono. Specifica il ritardo separatamente per ogni canale in millisecondi (numero in virgola mobile da 0 a 1000).

export[=mmapped_file[:nsamples]]
    Esporta il segnale in arrivo ad un altro processo usando la mappatura della memoria (mmap()). file su cui mappare i dati (default: ~/.mplayer/mplayer-af_export). numero di campionamenti per canale (default: 512)

extrastereo[=mul]
    Incrementa la differenza tra i canali sinistro e destro per aggiungere una specie di effetto "live" alla riproduzione. coefficiente di differenza (default: 2.5)

volnorm
    Massimizza il volume senza distorcere il suono.

ladspa=file:label[:controlli...]
    Carica un plugin LADSPA (Linux Audio Developer's Simple Plugin API). Questo filtro e' rientrante percio' posso venir usati piu' plugin LADSPA contemporaneamente. Specifica il file di plugin della libreria LADSPA. Se e' settato l'environment LADSPA_PATH viene utilizzato nella ricerca del file specificato. In caso contrario devi fornire un percorso completo. Specifica il filtro all'interno della libreria. Alcune librerie contengono solo un filtro ma altre invece ne contengono molti. Se si specifica 'help' verrano elencati tutti i filtri disponibili all'interno della libreria specificata, cosa che elimina l'utilizzo di 'listplugins' dall'SDK di LADSPA. +.IPs controlli Controlli sono zero o piu' valori in floating point che determinano il comportamento del plugin caricato (ad esempio ritardo, soglia o guadagno). In modalita' verbose (aggiungi -v alla linea di comando do MPlayer) tutti i controlli disponibili, insieme ai loro range validi, vengono stampati. Questo elimina l'utilizzo di 'analyseplugin' dall'SDK di LADSPA.

FILTRI VIDEO
I filtri video ti permettono di modificare il flusso video e le sue proprieta'. La sintassi e':

-vf <filtro1[=parametro1:parametro2:...i],filtro2,...>
    Attiva una catena di filtri video.

-vop <...,filtro2[=parametro1:parametro2:...]],filtro1> (OBSOLETE)
    Attiva una catena di filtri video, da applicare in ordine inverso Deprecato in favore di -vf.

Molti parametri sono opzionali e verrano caricati a valori di default se omessi. Utilizza '-1' per utilizzare esplicitamente il valore di default di un parametro. Parametri indicati come w:h significano larghezza per altezza in pixel, x:y indicano invece la posizione partendo dall'estremo alto a sinistra dell'immagine piu' grande.
NOTA: Per avere una lista completa dei filtri video disponibili, vedi -vf help.

I filtri sono gestiti in liste. Ci sono alcuni comandi per gestire la lista dei filtri.

-vf-add <filtro1[,filtro2,...]>
    Aggiunge i filtri passati come argomenti alla fine della lista dei filtri.

-vf-pre <filter1[,filter2,...]>
    Aggiunge i filtri passati come argomenti all'inizio della lista dei filtri.

-vf-del <index1[,index2,...]>
    Cancella i filtri all'indice passato. I numeri di indice partono da 0, numeri negativi indirizzano la fine della lista (-1 e' l'ultimo).

-vf-clr
    Pulisce (inizializza) completamente la lista dei filtri.

Con filtri che lo supportano, puoi accedere ai parametri attraverso il loro nome.

-vf <filtro>=help
    Stampa i nomi dei parametri e la gamma dei valori validi per i parametri per un particolare filtro.

-vf <filtro=nome_parametro1=valore1[:nome_parametro2=valore:...]>
    Regola un parametro con nome al valore passato. Utilizza on e off oppure yes e no per attivare / disattivare i parametri di tipo flag.

I filtri disponibili sono:

crop[=w:h:x:y]
    Mantiene la parte dell'immagine specificata ed elimina il resto. Utile per eliminare le bande nere dei film widescreen. Dimensione dell'immagine da mantenere, per default e' la larghezza ed altezza dell'immagine originale. Posizione dell'immagine da mantenere, il default e' il centro.

cropdetect[=limite:arrotondamento]
    Calcola i parametri necessari per applicare automaticamente il filtro 'crop' e stampa i parametri raccomandati su stdout. Soglia che e' possibile specificare opzionalmente da niente (0) fino a tutto (255) (default: 24).
    Valore per cui devono essere divisibili i valori di larghezza/altezza (default:16). Lo scostamento viene regolato automaticamente per centrare il video. Utilizza 2 per avere solo dimensioni pari (necessario per i filmati in formato 4:2:2). Con molti codec video conviene utilizzare 16 quando si effettua la codifica.

rectangle[=w:h:x:y]
    Il plugin risponde alla direttiva 'change_rectangle' di input.conf che ha due parametri. larghezza ed altezza (default: -1, larghezza massima possibile dove i bordi sono ancora visibili). posizione dell'angolo in alto a sinistra (default: -1, il piu' in alto ed il piu' a sinistra possibile)

expand[=w:h:x:y:o]
    Espande (non scala) la risoluzione del film ai valori passati e posiziona i filmato originale non scalato alle coordinate x, y. Puo' essere usato per posizionare i sottotitoli/OSD nelle bande nere che si ottengono. Larghezza, altezza espansa (default: ampiezza ed altezza originali). Valori negativi per w e h sono trattati come scostamenti dalla dimensione originale.

    ESEMPIO:
expand=0:-50:0:0
    Aggiunge un bordo di 50 pixel in basso all'immagine.
Posizione dell'immagine originale nell'immagine espansa (default: centro) generazione (stampa) sottotitoli/OSD 0: disabilitata (default)
1: abilitata

flip (vedi anche -flip)
    Ribalta l'immagine alto / basso (specchio sull'asse X)

mirror
    Specchia l'immagine sull'asse Y.

rotate[=<0-7>]
    Ruota l' immagine di 90 gradi e la ribalta opzionalmente. Con valori da 4-7 la rotazione viene eseguita solo se la geometria del film e' ritratto (portrait) e non paesaggio (landscape). Ruota di 90 gradi in senso orario e ribalta. Ruota di 90 gradi in senso orario. Ruota di 90 gradi in senso antiorario. Ruota di 90 gradi in senso antiorario e ribalta.

scale[=w:h[:interlaced[:chr_drop[:param[:param2[:presize]]]]]]
    Scala l'immagine con la modalita' software (lento) ed esegue una conversione dello spazio colore YUV<->RGB (vedi anche -sws). larghezza/altezza scalata (default: larghezza/altezza originali)
    NOTA: Se si usa -zoom ed i filtri (compreso libvo) sottostanti non sono capaci di effettuare la scalatura il valore di default diventa d_width/d_height (d_larghezza / d_altezza)!
     0: d_width/d_height scalati
    -1: larghezza/altezza originali
    -2: Calcola w/h utilizzando l'altra dimensione e il rapporto di aspetto prescalato.
    -3: Calcola w/h utilizzando l'altra dimensione e il rapporto di aspetto originale. Attiva la scalatura interlacciata. 0: non attiva (default)
    1: attiva eliminazione chroma 0: Utilizza tutte le linee di ingresso per la crominanza.
    1: Utilizza solo una linea ogni 2 linee di ingresso per la crominanza.
    2: Utilizza solo una linea ogni 4 linee di ingresso per la crominanza.
    3: Utilizza solo una linea ogni 8 linee di ingresso per la crominanza. Seleziona alcuni parametri di scalatura a seconda dell'algoritmo di scalatura selezionato con -sws. -sws 2 (bicubica): B (blurring, sfocatura) e C (ringing, effetti ad anello)
    0.00:0.60 default
    0.00:0.75 "bicubica precisa" di VirtualDub
    0.00:0.50 spline Catmull-Rom
    0.33:0.33 spline Mitchell-Netravali
    1.00:0.00 B-spline cubica
    -sws 7 (gaussiano): nitidezza (0 (morbido) - 100 (nitido))
    -sws 9 (lanczos): lunghezza del filtro (1-10) Scala ad una dimensione predefinita. qntsc: 352x240 (quarto di schermo NTSC)
    qpal: 352x288 (quarto di schermo PAL)
    ntsc: 720x480 (NTSC standard)
    pal: 720x576 (PAL standard )
    sntsc: 640x480 (NTSC con pixel quadrati)
    spal: 768x576 (PAL con pixel quadrati)

dsize=[aspect|w:h]
    Cambia la dimensione di visualizzazione/rapporto di aspetto che si desidera avere in un punto a scelta nella catena dei filtri. L'aspetto puo' essere espresso come frazione (4/3) oppure come numero floating point (1.33). Alternativamente, puoi specificare esattamente le dimensioni di larghezza ed altezza di visualizzazione che desideri. Nota che questo filtro NON effettua nessuna scalatura, semplicemente influenza quello che viene eseguito successivamente dalla scalatura (software o hardware) quando si esegue un'auto scalatura per correggere il rapporto di aspetto del film.

yuy2
    Forza una conversione software da YV12/I420/422P a YUY2. Utile per schede video/driver con un supporto lento per YV12 ma veloce per YUY2.

yvu9
    Forza una conversione software dallo spazio colore YVU9 a YV12. Deprecato a favore della scalatura via software.

yuvcsp
    Limita (clamp) i valori dei colori YUV alla gamma CCIR 601 senza effettuare una reale conversione.

rgb2bgr[=swap]
    Conversione dello spazio colore RGB 24/32 <-> BGR 24/32. Effettua anche lo scambio R <-> B.

palette
    Conversione dello spazio colore RGB/BGR 8 -> 15/16/24/32bpp utilizzando una palette (tavolozza).

format[=fourcc]
    Limita lo spazio colore del filtro successivo senza effettuare nessuna conversione. Da utilizzare con il filtro di scalatura per ottenere un conversione effettiva.
    NOTA: Per una lista dei formati disponibili vedi format=fmt=help. nome del formato tipo rgb15, bgr24, yv12, etc (default: yuy2)

noformat[=fourcc]
    Limita lo spazio colore del filtro successivo senza effettuare nessuna conversione. A differenza del filtro format, questo permette qualsiasi spazio coloro eccetto quello specificato.
    NOTA: Per una lista dei formati disponibili vedi noformat=fmt=help. nome del formato tipo rgb15, bgr24, yv12, etc (default: yv12)

pp[=filtro1[:opzione1[:opzione2...]]/[-]filtro2...] (vedi anche -pphelp)
    Abilita l'elenco dei sotto filtri di post elaborazione specificata. I vari sotto filtri devono essere separati dal carattere / e possono essere disabilitati prependendo al filtro "-". La sfera d'azione del filtro puo' essere specificata aggiungendo un ':' seguito da 'a', 'c' o 'y' (default: c): Disabilita automaticamente il filtro se la CPU e' troppo lenta. Effettua il filtraggio anche sulla crominanza. Filtra solo la luminanza (niente crominanza).

    NOTA: -pphelp visualizza una lista dei filtri disponibili.

    ESEMPIO:
De-block orizzontale e verticale, eliminazione artefatti circolari (deringing) e contrasto/luminosita' automatica. de-block orizzontale e verticale, eliminazione artefatti circolari (deringing), Contrasto/luminosita' automatica e deinterlacciatore con miscelatura lineare. Filtro di default senza correzione di luminosita'/contrasto Abilita i filtri di default e il denoise (eliminazione rumore) temporale. De-block orizzontale solo della luminanza ed attiva o disattiva il de-block verticale automaticamente a seconda del tempo di CPU disponibile.

spp[=quality[:qp[:mode]]]
    filtro di post elaborazione semplice 0-6 (default: 3) Forza il parametro di quantizzazione (default: 0, usa QP del video). 0: controllo della soglia rigido (default)
    1: controllo della soglia meno rigido (miglior eliminazione degli artefatti circolari ma immagine piu' sfuocata)

qp=equation
    Cambia il filtro del parametro di quantizzazione QP qualche equazione tipo "2+2*sin(PI*qp)"

test
    Genera varie figure di test.

rgbtest
    Genera una figura di test RGB, utile per determinare problemi del tipo RGB rispetto a BGR. Dovresti vedere delle strisce rosse, verdi e blu dall'alto al basso.

lavc[=quality:fps]
    Conversione software veloce da YV12 a MPEG-1 da usare con DVB/DXR3. Veloce e di migliore qualita' che -vf fame. 1-31: qscale (scala di quantizzazione) fissa
    32-: bitrate fisso in kBit forza il numero di fps (frame per second, fotogrammi al secondo) di uscita (valore float) (default: 0, trovato automaticamente basandosi sull'altezza)

fame
    Conversione software veloce da YV12 a MPEG-1 fatta con libfame da usare con DVB/DXR3.

dvbscale[=aspect]
    Attiva una scalatura ottimale per le schede DVB, riscalando l'asse x via hardware e ricalcolando la scalatura sull'asse y in software per mantenere l'aspetto. Utile solo insieme a expand e scale. Controlla il rapporto di aspetto, calcolato come DVB_HEIGHT*ASPECTRATIO (default: 576*4/3=768), caricalo a 576*(16/9)=1024 per una TV 16:9.

    ESEMPIO:
FIXME: Spiega un attimo cosa fa ...

noise[=luma[u][t|a][h][p]:chroma[u][t|a][h][p]]
    Aggiunge rumore. rumore luminanza rumore crominanza rumore uniforme (altrimenti gaussiano) rumore temporale (l'aspetto del rumore cambia tra i fotogrammi) rumore temporale mediato (piu' 'morbido', ma molto piu' lento) alta qualita' (appare leggermente migliore, leggermente piu' lento) miscela rumore casuale con uno con un aspetto (semi)regolare

denoise3d[=luma:chroma:time]
    Questo filtro cerca di ridurre il rumore dell'immagine per produrre immagini piu' morbide e rendendo le immagini ferme realmente ferme (questo dovrebbe aumentare la compressibilita'). intensita' spaziale della luminanza (default: 4) intensita' spaziale della crominanza (default: 3) intensita' temporale (default: 6)

hqdn3d[=luma:chroma:time]
    Versione ad alta precisione/qualita' del filtro denoise3d. Parametri ed uso sono gli stessi.

eq[=luminosita':contrasto] (OBSOLETO)
    Equalizzatore software con controlli interattivi proprio come l'equalizzatore hardware, per schede/driver che non supportano i controlli di luminosita' e contrasto in hardware. I valori iniziali nella gamma -100 - 100 possono essere passati sulla linea di comando. Puo' anche essere utile con MEncoder, sia per sistemare filmati catturati in modo non proprio corretto o per ridurre leggermente il contrasto per mascherare artefatti e provare ad ottenere bitrate minori.

eq2[=gamma:contrast:brightness:saturation:rg:gg:bg:weight]
    Equalizzatore software alternativo che utilizza una tabella di lookup (molto lento) che permette anche la correzione del gamma oltre ai semplici aggiustamento di luminosita' e contrasto. Nota che viene utilizzato lo stesso codice ottimizzato per MMX come -vf eq se tutti i valori di gamma sono 1.0. I parametri sono passati come valori in floating point. valore di gamma per il componente rosso valore di gamma per il componente verde valore di gamma per il componente blu
    I parametri rg, gg, bg sono i valori di gamma indipendenti per i componenti rosso, verde (green) e blu. Il parametro weight (peso) puo' essere usato per ridurre gli effetti di un valore molto alto di gamma su aree dell'immagine molto luminose, cioe' cercando di evitare che diventino super amplificate e diventino semplicemente bianco. Un valore di 0.0 elimina del tutto la correzione gamma mentre 1.0 la lascia alla sua efficacia completa. I default sono gamma=1.0, contrasto=1.0, luminosita'(brightness)=0.0, saturazione=1.0, weight=1.0. I valori validi sono 0.1-10 per gamma, -2-2 per contrasto (valori negativi creano un'immagine negativa), -1-1 per la luminosita', 0-3 per saturatione e 0-1 per weight.

hue[=hue:saturation]
    Default sono tonalita' (hue)=0.0 e saturazione=1.0. La gamma dei valori e' di -180-180 per la tonalita', -2-2 per la saturazione (valori negativi faranno ottenere una valore di chroma negativo).

halfpack[=f]
    Converte dal formato YUV 4:2:0 ad un formato a mezza altezza 4:2:2, riducendo la luminanza ma mantenendo tutti i campioni di crominanza. Utile per mandare dati a visualizzatori a bassa risoluzione quando la scaltura hardware in riduzione e' di bassa qualita' oppure non e' disponibile. Puo' anche essere usato come un deinterlacciatore primitivo che agisce solo sulla luminanza ed utilizza molto poco la CPU. Per default halfpack media le coppie di linee quando effettua la scalatura verso il basso. Il parametro opzionale f puo' essere 0 per usare solo le linee pari oppure 1 per usare solo quelle dispari. Qualsiasi altro valore per f attiva la gestione di default (media delle due linee).

ilpack[=mode]
    Quando il video interlacciato e' memorizzato nel formato YUV 4:2:0, l'interlacciamento della crominanza non e' allineato in modo completamente corretto a causa del subcampionamento verticale del canale della crominanza. Questo filtro inpacchetta i dati in formato planare 4:2:0 nel formato YUY2 (4:2:2:) con le linee di crominanza nella loro giusta posizione, in modo che in qualsiasi linea i dati di luminanza e crominanza vengano dallo stesso field. L'argomento opzionale seleziona il modo di campionamento. Per default viene usata la modalita' ad interpolazione lineare (modo 1). Il modo 0 utilizza il campionamento con il pixel piu' vicino, che e' piu' veloce ma non corretto.

harddup
    Utile solo con MEncoder. Se utilizzato nella codifica, i fotogrammi duplicati vengono comunque codificati in modo forzato sull'uscita. Questo utilizza leggermente piu' spazio ma e' necessario se si scrivono file MPEG oppure se hai intenzione di dividere (demux) e rimettere insieme (remux) i flussi video dopo la codifica. Dovrebbe essere messo alla fine o vicino alla fine della catena dei filtri a meno che tu non abbia delle buone ragioni per fare altrimenti.

softskip
    Utile solo con MEncoder. Softskip sposta il passo di eliminazione dei fotogrammi (dropping) della codifica da prima della catena dei filtri a qualche punto nella catena dei filtri stessa. Questo permette a filtri che necessitano di controllare tutti i fotogrammi (telecine inversa, eliminazione temporale del rumore, ...) di funzionare correttamente Dovrebbe essere inserito dopo il filtro che necessita di vedere tutti i fotogrammi e prima di ogni filtro seguente che ha bisogno di molto tempo di cpu.

decimate[=max:hi:lo:frac]
    Elimina fotogrammi che non sono molto differenti dal precedente per poter ridurre la velocita' in fotogrammi (framerate). L'argomento max (se positivo) indica il numero massimo di fotogrammi che possono venire eliminati oppure, se negativo, l'intervallo minimo tra frame eliminati. Un fotogramma e' candidato all'eliminazione se nessun blocco di 8x8 pixel differisce per piu' di una soglia di hi e se non piu' di frac parti (1 significa l'immagine completa) differiscono per piu' di una soglia lo. I valori di hi e lo sono per dati per un blocco di 8x8 pixel e rappresentano valori di differenza di pixel, percio' una soglia di 64 corrisponde ad 1 unita' di differenza per ogni pixel, oppure lo stesso valore distribuito in maniera diversa nel blocco (2 differenze di 32, 4 di 16, ...) L'utilizzo principale di questo filtro e' per codifiche a bitrate veramente molto bassi (ad esempio per effettuare uno streaming su un modem) ma puo' essere in teoria usato per mettere a posto filmati a cui e' stata applicato un processo inverso di telecine in modo errato.

dint[=sense:level]
    Trova ed elimina il primo fotogramma interlacciato da una serie di fotogrammi video. I parametri possono andare da 0.0 a 1.0 - il primo (default 0.1) e' la differenza relativa di due pixel vicini, il secondo (default 0.15) e' quanta parte dell'immagine deve essere rilevata come interlacciata per eliminare il fotogramma.

lavcdeint
    filtro di deinterlacciamento di libavcodec

kerndeint[=thresh[:map[:order[:sharp[:twoway]]]]]
    Deinterlacciatore adattivo di Donald Graft. Deinterlaccia parti del filmato se una soglia configurabile viene superata. Soglia (default 10). Colora i pixel che eccedono la soglia in bianco (default: 0). Inverte i field se 1 (default: 0) Abilita una nitidezza (sharpening) addizionale (default: 0). Abilita lo sharpening a due vie (default: 0).

unsharp=l|cWxH:amount[:l|cWxH:amount]
    Maschera di eliminazione dei particolari (Unsharp) / sfocatura gaussiana. Applica l'effetto sul componente luma. Applica l'effetto sul componente chroma. larghezza ed altezza della matrice, dimensioni dispari in entrambe le direzioni. (min = 3x3, max = 13x11 o 11x13, normalmente qualcosa tra 3x3 e 7x7) Quantita' relativa di ?sharpness?/blur da aggiungere all'immagine (una gamma valida dovrebbe essere -1.5-1.5). <0: blur
    >0: sharpen

swapuv
    Scambia i piani U & V.

il=[d|i][s][:[d|i][s]]
    (De)interleave delle linee. Lo scopo di questo filtro e' l'aggiunta della possibilita' di processare immagini interlacciate sul singolo field senza deinterllacciarle. Puoi filtrare il tuo DVD interlacciato e visualizzarlo sulla TV senza rovinare l'interlacciamento. Mentre il deinterlacciamento (con il filtro di post elaborazione) rimuove l'interlacciamento in modo permanente (attraverso un ammorbimento, una media, etc) il deinterleave divide i fotogrammi in due field (chiamati mezze immagini), cosi' li puoi processare (filtrare) in modo indipendente e poi effettuare il re-interleave per riottenere l'immagine interlacciata. de-interleave (piazza un field sopra all'altro) re-interleave scambia i field (scambia le linee pari e dispari)

fil=[i|d]
    (De)interleave veloce delle linee. Questo filtro e' molto simile al filtro il ma molto piu' veloce, il grosso svantaggio e che non sempre funziona. Specialmente se combinato con altri filtri puo' produrre immagini massacrate in modo casuale percio' sii felice se funziona ma non lamentarti se per caso non funziona con la tua combinazione di filtri. De-interleave dei field, piazzandoli fianco a fianco. Re-Interleave di nuovo dei campi (annullando l'effetto di fil=d).

field[=n]
    Estrae un singolo field da un immagine interlacciata utilizzando l'aritmetica delle strisce (stride) per evitare di perdere tempo di CPU. L'argomento opzionale n specifica se estrarre il field pari o dispari (a seconda che n sia pari o dispari).

detc[=var1=value2:var2=value2:...]
    Prova a invertire il processo di 'telecine' per ottenere un filmato 'pulito', non interlacciato ad un framerate da film. Questo e' il primo e piu' primitivo filtro per il processo di telecine inversa ad essere stato aggiunto a MPlayer/MEncoder. Funziona bloccandosi sul modello 3:2 del processo di telecine e seguendolo finche' e' possibile. Questo lo rende adatto per materiale a cui il processo di telecine e' stato applicato in modo perfetto, anche in presenza di un certo livello di rumore, ma genera risultati errati in presenza di modifiche complesse applicate dopo il processo di telecine stesso. Lo sviluppo di questo filtro non ha piu' luogo in quanto ivtc, pullup e filmdint sono migliori per molte applicazioni. I parametri successivi (vedi la sintassi sotto) possono essere usati per controllare il comportamento del filtro detc: Seleziona la modalita' di eliminazione dei fotogrammi. 0 (default) indica di non eliminare fotogrammi per mantenere un framerate di uscita fisso. 1 indica di eliminare un fotogramma quando non ci sono state eliminazioni o miscelazioni dovute al telecine negli ultimi 5 fotogrammi. 2 indica di mantenere sempre un rapporto 5:4 tra il frame rate di ingresso ed uscita.
    NOTA: Utilizza il modo 1 oppure 2 con MEncoder. Modo di analisi. I valori disponibili sono 0 (modello fisso con numero di fotogramma iniziale specificato da fr=#) e 1 (ricerca aggressiva del modello di telecine) Il default e' 1. Indica il numero iniziale di fotogramma nella sequenza. 02 sono i tre fotogrammi progressivi 'chiari', 3 e 4 sono i due fotogrammi interlacciati. Il default, -1, indica 'non nella sequenza di telecine'. Il numero specifica qui e' il tipo del fotogramma immaginario che abbiamo prima che inizi il film. Valori di soglia da usare in certe modalita'.

ivtc[=1]
    Filtro sperimentale di inversione del telecine 'stateless'. Piuttosto che provare a bloccarsi su un modello come fa il filtro detc, ivtc effettua la sua decisione in maniera indipendente per ogni fotogramma. Questo dara' risultati molto migliori nel caso di materiale che e' stato sottoposto a modifiche pesanti dopo che e' stato applicato il telecine, ma non e' cosi' bravo con materiale pieno di rumore, ad esempio filmati catturati dalla TV. Il parametro opzionale (ivtc=1) corrisponde all'opzione dr=1 del filtro detc e dovrebbe essere usato con MEncoder ma non con MPlayer. Cosi' come con detc, quando lo usi con MEncoder devi specificare il corretto framerate di uscita (-ofps 23,9876). Lo sviluppo del filtro ivtc e' attualmente bloccato in quanto i filtri pullup e filmdint sembrano multo piu' accurati.

pullup[=jl:jr:jt:jb:sb:mp]
    Filtro di inversione del telecine di terza generazione, capace di gestire materiale misto con telecine, progressivo a 24 fotogrammi al secondo e progressivo a 30 fps. Il filtro pullup e' progettato per essere molto piu' robusto dei filtri detc e ivtc, utilizzando la possibilita' di guardare il contesto futuro per prendere le proprie decisioni. Come ivtc, pullup e' 'stateless' nel senso che non si blocca su un modello da seguire ma invece guarda avanti ai field successivi in modo da identificare delle corrispondenze e ricreare i fotogrammi progressivi. E' ancora sotto sviluppo ma si crede che sia completamente preciso. Le opzioni jl, jr, jt e jb selezionano l'ammontare di cianfrusaglie ('junk') da ignorare, rispettivamente, a sinistra, destra, alto e basso. Destra e sinistra sono in unita' di 8 pixel mentre alto/basso sono in unita' di 2 linee. Il default e' 8 pixel per ogni lato. Attivare l'opzione sb (strict breaks, interruzioni rigorose) ponendola ad 1 ridurra' la possibilita' di generare una errata interpretazione del fotogramma, ma potrebbe anche causare l'eliminazione di un eccessivo numero di fotogrammi durante sequenze con molto movimento. Al contrario, ponendo questa opzione a -1 permettera' al filtro pullup di riconoscere i fotogrammi piu' facilmente. Questo puo' aiutare l'elaborazione di video dove c'e' un certo sfuocamento tra i campi ma puo' anche causare la conversione in fotogrammi interlacciati sull'uscita. L'opzione mp (metric plane, piano di metrica) puo' essere caricata a 1 o 2 per usare un piano della crominanza invece che quello della luminanza per effettuare i calcoli del filtro pullup. Questo puo' migliorare la precisione nel caso di materiale molto pulito, ma normalmente la peggiorera', specialmente se abbiamo del rumore nel piano di crominanza (effetto arcobaleno) oppure se alcuni pezzi del video sono in bianco e nero. Lo scopo principale di forzare il filtro pullup ad usare un piano di crominanza e' quello di abbassare l'utilizzo di CPU e rendere il filtro utilizzabile in tempo reale su macchine lente.
    NOTA: Precedi sempre il filtro pullup con il filtro softskip quando codifichi per assicurarti che pullup sia capace di vedere tutti i fotogrammi. Non farlo portera' ad avere un filmato non corretto e normalmente portera' a dei bloccaggi, dovuti alle limitazioni di progetto del livello dei codec / filtri.

filmdint[=options]
    Filtro di inversione del telecine, simile al filtro pullup sopra. E' progettato per gestire qualsiasi modello di pulldown, incluso una combinazione di soft ed hard telecine ed un limitato supporto per filmati che sono stati rallentati o velocizzati dal loro framerate originale per la TV. Solo il piano luma viene usato per trovare le divisioni dei frame. Se un campo non ha corrispondenza, viene interlacciato con una semplice approssimazione lineare. Se il filmato e' in formato MPEG-2 questo deve essere il primo filtro per poter accedere al flag del field attivato dal decoder MPEG-2. A seconda del filmato originale MPEG che volete processare, puoi tranquillamente ignorare questo consiglio, almeno finche' non vedi una lunga serie di avvertimenti "Bottom-first field". Senza opzioni effettua una normale inversione del processo di telecine e dovrebbe essere usato con le opzioni di MEncoder -fps 29.87 e ofps 23.976. Quando questo filtro e' usato con MPlayer generera' un framerate diseguale durante la riproduzione, ma e' generalmente meglio che usare pp=lb oppure nessun deinterlacciamento. Opzioni multiple possono essere specificate separate da /. Uguale al filtro crop, ma piu' veloce e lavora su filmati con combinazioni di hard e soft telecine e anche quando Y non e' un multiplo di 4. Se x o y dovessero richiedere il ritaglio di pixel frazionali dai piani della crominanza, l'area di crop viene estesa. Questo generalmente indica che x e y devono essere pari. Per ogni ifps fotogramma di ingresso il filtro generera' ofps fotogrammi di uscita. Il rapporto di ipfs/ofps deve corrispondere al rapporto -fps/-ofps. Puo' essere usato per filtrare filmati che sono trasmessi alla TV ad un framerate differente da quello originale. Se n e' diverso da 0 il piano croma e' copiato cosi com'e' e'. E' utile per materiale dalla TV con campionamento YV12, dove si ignora uno dei field del croma. Nel caso di x86, se n=1 utilizza funzioni ottimizzate per MMX2, se n=2 usa funzioni ottimizzate per 3DNow!, altrimenti usa C semplice. Se questa opzione non e' specificata l'utilizzo di MMX2 o 3DNow! e' automatico, utilizza questa opzione per modificare la ricerca automatica. Valori piu' alti di n velocizzano il filtro a scapito dell'accuratezza. Il valore di default e' n=3. Se n e' dispari, un fotogramma immediatamente successivo ad un fotogramma marcato con il flag MPEG REPEAT_FIRST_FIELD viene considerato come progressivo , percio' il filtro non perdera' nessun tempo su materiale MPEG-2 con soft-telecine. Questo e' l'unico effetto del flag se MMX2 o 3DNow! e' disponibile. Senza MMX2 e 3DNow!, se n=0 o 1, lo stesso calcolo viene usato come con n=2 o 3. Se n=2 o 3, il numero di livelli di luma usati per trovare i cambi di fotogramma e' ridotto da 256 a 128, che permette di ottenere un filtro piu' rapido senza perdere troppa precisione. Se n=4 o 5 un sistema piu' veloce ma meno accurato viene usato per trovare i cambi di fotogramma ma diventa piu' facile riconoscere in modo errato dettagli verticali come interlacciamento. Se n e' non zero, stampa la metrica dettagliata per ogni fotogramma. Utile per il debug. Soglia di de-interlacciamento. Usato nel de-interlacciamento di fotogrammi non riconosciuti. Valori piu' alti significano meno deinterlacciamento, usa n=256 per disabilitare completamente il deinterlacciamento. Il default e' n=8. Soglia per comparare i field superiore ed inferiore. Il default e' 128. Soglia per determinare il cambio temporale di un field. Il default e' 128. Soglia della somma delle differenze assolute, il default e' 64.

softpulldown
    Questo filtro funziona correttamente solo con MEncoder e agisce sul flag MPEG-2 usato per effettuare il pulldown soft 3:2 (noto anche come soft telecine). Se vuoi usare il filtro ivtc oppure detc su filmati che sono parzialmente codificati in modalita' soft telecine inserendo questo filtro prima li rendi molto piu' affidabili.

divtc[=opzioni]
    Telecine inversa per video deinterlacciati. Se il video a cui e' stato applicato il processo di telecine (3:2-pulldown) ha perso uno dei field oppure e' deinterllaciato utilizzando un metodo che preserva un field e interpola l'altro, il risultato e' un video 'saltellante' che ha un fotogramma ogni quattro duplicato. Questo filtro e' studiato per trovare e scartare questa duplicazione e ripristinare la velocita' originale del film. Quando si utilizza questo filtro devi specificare un valore di -ofps che e' 4/5 della velocita' (in fotogrammi al secondo, fps) del file di ingresso (23.976 se l'ingresso e' a 29.97 fps). Le opzioni sono: Utilizza due passi. Questo produce i migliori risultati. Il passo 1 analizza il video e scrive i risultati in un file di log. Il passo 2 quindi legge questo file di log e ne utilizza le informazioni per fare effettivamente il lavoro. Nota che questi passi NON corrispondono ai passi 1 e 2 del processo di codifica. Per poter utilizzare la modalita' a due passi di divtc con la codifica a due passi devi eseguire tre passi in totale: prima il passo 1 di divtc e il passo 1 di codifica, poi il passo 2 di divtc ed il passo 1 di codifica ed infine il passo 2 di divtc ed il passo 2 di codifica. Imposta il nome del file di log per la modalita' a due passi (default: "framediff.log"). Imposta il valore minimo della forza che deve avere il modello di telecine per permettere al filtro di riconoscerlo (default: 0.5) Viene utilizzato per evitare di riconoscere falsi modelli nella parti di video che sono o molto scure o senza molti movimenti. Imposta il numero di fotogrammi passati da controllare quando si cerca il modello (default: 30). Finestre piu' lunghe migliorano l'affidabilita' della ricerca del modello mentre finestre piu' corte migliorano il tempo di reazione nel caso di cambiamenti della fase del telecine. Questo influisce solo sulla modalita' ad un passo. La modalita' a due passi attualmente utilizza una finestra fissa che si estende sia nel futuro che nel passato. Imposta il valore iniziale della fase del telecine (default: 0). La modalita' a due passi puo' vedere il futuro ed e' percio' capace di usare il valore corretto di fase dall'inizio, mentre la modalita' ad un passo puo' solo provare ad indovinare. Viene utilizzata la fase corretta quando viene trovata, questa opzione puo' essere usata per correggere il possibile saltellamento all'inizio. Anche il primo passo della modalita' a due passi utilizza questo valore, cosi' se salvi i dati dal primo passo ottieni dei risultati costanti di fase. Imposta la soglia per il deghosting (eliminazione effetto fantasma) (0-255 per modalita' ad un passo, -255-255 per la modalita' a due passi, default 0). Se diversa da zero si abilita' la modalita' deghost. Viene utilizzata per quei video che sono stati deinterlacciati miscelando i due field insieme invece di eliminarne solo uno dei due. L'applicazione dell'algoritmo di deghost amplifica qualsiasi artefatto dovuto alla compressione nel fotogramma miscelato ed il valore del parametro viene usato come una soglia che esclude dall'operazione quei punti che differiscono dal fotogramma precedente meno del valore specificato. Se si utilizza la modalita' a due passi il valore negativo si puo' usare per fare analizzare al filtro il video completo all'inizio del passo 2 per determinare se necessita o meno dell'applicazione del deghost e poi selezionare zero oppure il valore assoluto del parametro. Specifica questa opzione nel passo 2, non fa nessuna differenza nel passo 1.

phase=[t|b|p|a|u|T|B|A|U][:v]
    Ritarda il video interlacciato del tempo di un field in modo da cambiare l'ordine dei field stessi. L'utilizzo previsto e' per sistemare filmati PAL che sono stati catturati con l'ordine dei field opposto a quello del trasferimento da film a video. Le opzioni sono: Cattura i field in ordine top-first (prima il field superiore), trasferisce bottom-first (prima il field inferiore). Il filtro ritardera' il field inferiore. Cattura i field in ordine bottom-first, trasferisce top-first. Il filtro ritardera' il field superiore. Cattura e trasferisce con lo stesso ordine dei field. Questa modalita' esiste per permettere alla documentazione delle altre opzioni di potervisi riferire ma se, eventualmente, la selezioni il filtro non effettuera' assolutamente nulla ;-) L'ordine di cattura dei field e' determinato automaticamente dal flag del field, trasferisce l'opposto. Il filtro seleziona tra le modalita' t e b fotogramma per fotogramma utilizzando il flag del field. Se non e' presente nessuna informazione sul field, si comporta come l'opzione u. Cattura sconosciuta o variabile, trasferisce l'opposto. Il filtro seleziona tra le modalita' t e b fotogramma per fotogramma analizzando le immagini e selezionando l'alternativa che produce il miglior riscontro tra i field. Cattura top-first, trasferisce sconosciuto o variabile. Il filtro seleziona la modalita' t o p utilizzando l'analisi dell'immagine. Cattura bottom-first, trasferisce sconosciuto o variabile. Il filtro seleziona la modalita' b o p utilizzando l'analisi dell'immagine. Cattura determinata dal flag del field, trasferisce sconosciuto o variabile. Il filtro seleziona tra le modalita' t, b e p utilizzando il flag del field e l'analisi dell'immagine. Se non abbiamo informazioni sui field allora questa modalita' e' uguale alla U. Questa e' la modalita' di default. Sia cattura che trasferimento sconosciuto o variabile. Il filtro seleziona tra la modalita' t, b, e p utilizzando solo l'analisi dell'immagine. Operazioni verbose. Stampa il modo selezionato per ogni fotogramma e la differenza media quadratica tra i field per le alternative delle modalita' t, b, e p.

telecine[=start]
    Applica il processo di 'telecine' 3:2 per incrementare il framerate del 20%. Molto probabilmente non funzionera' correttamente con MPlayer ma puo' essere usato con 'mencoder -fps 29.97 -ofps 29.97 -vf telecine'. Entrambe le opzioni fps sono essenziali! (il sincronismo A/V sara' errato se sono sbagliati). Il parametro opzionale start dice al filtro dove deve cominciare nel modello di telecine (0-3).

tinterlace[=mode]
    Interlacciamento temporale dei field - unisce coppie di fotogrammi in un singolo fotogramma, dimezzando il framerate. I fotogrammi pari sono spostati nel field superiore, quelli dispari nel field inferiore. Questo puo' essere usato per invertire completamente l'effetto del filtro tfields (in modalita' 0). I modi disponibili sono: Muove i fotogrammi dispari nel field superiore e quelli pari nell'inferiore, generando un fotogramma ad altezza completa a meta' del framerate. Lascia passare solo i fotogrammi dispari, i fotogrammi pari sono eliminati, altezza non cambiata. Lascia passare solo i fotogrammi pari, i fotogrammi dispari sono eliminati, altezza non cambiata. Espande ogni fotogramma ad altezza completa, ma riempie le linee alternate con il colore nero. Il framerate non viene cambiato.

tfields[=mode]
    Separazione temporale dei field - divide i field in fotogrammi, raddoppiando il framerate di uscita. Come il filtro telecine, tfield lavorera' correttamente solo con MEncoder, e solo se entrambe le opzioni -fps e -ofps sono caricati al valore desiderato (doppio) del framerate. I modi disponibili sono; Lascia i field invariati (questo saltera'/lampeggera'). Interpola le linee mancanti (l'algoritmo usato potrebbe non essere cosi' buono). Trasla i field di 1/4 di pixel con interpolazione lineare (niente salti). Trasla i field di 1/4 di pixel con un filtro 4tap (qualita' piu' alta).

boxblur=radius:power[:radius:power]
    sfocatura rettangolare. forza del filtro di sfocatura numero di applicazioni del filtro

sab=radius:pf:colorDiff[:radius:pf:colorDiff]
    sfocatura adattiva alla forma forza del filtro di sfocatura (~0.1-4.0) (piu' lento se piu' grande) forza del prefiltro (~0.1-2.0) differenza massima tra i pixel per essere considerati (~0.1-100.0)

smartblur=radius:strength:threshold[:radius:strength:threshold]
    sfocatura intelligente forza del filtro di sfocatura (~0.1-5.0) (piu' lento se piu' grande) sfocatura (0.0-1.0) oppure nitidezza (-1.0-0.0) filtra tutto (0), filtra aree uniformi (0-30) oppure filtra gli spigoli (-30-0)

perspective=x0:y0:x1:y1:x2:y2:x3:y3:t
    Corregge la prospettiva di video non filmati in modo perpendicolare allo schermo. coordinate degli angoli superiore sinistro, superiore destro, inferiore destro, inferiore sinistro campionamento lineare (0) o cubico (1)

2xsai
    Scala e ammorbidisce l'immagine con l'algoritmo di scalatura ed interpolazione 2x.

1bpp
    conversione da mappa di bit a 1bpp a YUV/BGR 8/15/16/32

down3dright[=lines]
    Riposiziona e ridimensiona immagini stereoscopiche. Estrae entrambi i field stereo e li posiziona uno fianco all'altro, ridimensionandoli per mantenere l'aspetto originale del filmato. numero di linee da selezionare dal mezzo dell'immagine (default: 12)

bmovl=hidden:opaque:fifo
    Il filtro di bitmap overlay legge mappe di bit da una FIFO e le visualizza sopra al filmato, permettendo alcune trasformazioni sull'immagine. Vedi anche TOOLS/bmovl-test.c per un piccolo programma di test. Setta il valore di default del flag 'hidden' (0=visibile, 1=nascosto). Setta il valore di default del flag 'opaque' (0=trasparente, 1=opaca). percorso/file della FIFO (la named pipe che connette mplayer -vf bmovl all'applicazione che lo controlla)

    i comandi FIFO sono:
seguita da width*height*4 Bytes di dati RGBA32 grezzi. seguita da width*height*4 Bytes di dati ABGR32 grezzi. seguita da width*height*3 Bytes di dati RGB24 grezzi. seguita da width*height*3 Bytes di dati BGR24 grezzi. Cambia il valore di alpha dell'area specificata. Pulisce l'area. Disabilita tutta la gestione della trasparenza alpha. Manda "ALPHA 0 0 0 0 0" per riabilitarla. Nasconde la bitmap. Visualizza la bitmap.

    Gli argomenti sono:
dimensione dell'immagine/area Posizione X/Y iniziale dell'immagine Carica il valore di differenza alpha. Se lo carichi al valore -255 puoi poi mandare una sequenza di comandi ALPHA per caricare l'area a -225, -200, -175 etc per un bel effetto di fade-in! :) 0: come l'originale
255: Rende tutto opaco.
-255: Rende tutto trasparente. Pulisce il framebuffer prima di copiarlo sul video.. 0: L'immagine verra' semplicemente copiato sopra la vecchia, percio' non devi mandare 1,8MB di dati RGBA32 ogni volta che una piccola parte dello schermo e' da aggiornare.
1: cancella

framestep=I|[i]step
    Visualizza solo uno ogni step fotogrammi oppure ogni fotogramma Intra (key).

    Se chiami il filtro con I (maiuscolo) come parametro, allora SOLO i fotogrammi chiave (keyframe) vengono visualizzati. Per i DVD questo generalmente significa uno ogni 15/12 fotogrammi (IBBPBBPBBPBBPBB), per i file AVI questo significa ogni cambio di scena oppure ogni valore di keyint (vedi -lavcopts keyint=valore se utilizzi MEncoder per codificare i video).

    Quando si trova un keyframe viene stampata la stringa 'I!' seguita da un carattere di newline, lasciando la linea corrente di uscita di MPlayer/MEncoder sullo schermo, utile in quanto contiene il tempo (in secondi) e il numero di fotogramma corrispondente al keyframe (puoi usare questa informazione per dividere il file AVI in modo corretto).

    Se chiami il filtro con un parametro numerico 'step' allora solo un fotogramma ogni 'step' viene visualizzato.

    Se metti il carattere 'i' (minuscolo) prima del numero allora una 'I!' viene stampata (come con il parametro I).

    Se passi solo il parametro i allora non viene fatto niente ai fotogrammi, solo la I! viene stampata.

tile=xtiles:ytiles:output:start:delta
    Combina una serie di immagini in una immagine singola, piu' grande. Se ometti un parametro oppure utilizzi un valore minore di 0 allora viene usato il valore di default. Puo anche fermarti quando sei soddisfatto (... -vf tile=10:5 ...). E' probabilmente una buona idea mettere il filtro scale prima del filtro tile :-)

    I parametri sono:

    numero di immagini sull'asse x (default: 5) numero di immagini sull'asse y (default: 5) Visualizza l'immagine composta ogni 'output' fotogrammi di ingresso, dove 'output' deve essere un numero minore di xtile * ytile. Le immagini mancante sono lasciate vuote. Puoi, ad esempio, scrivere un immagine da 8 x 7 immagini ogni 50 fotogrammi per avere una immagine ogni 2 secondi @ 25 fps. pixel all'inizio/fine (larghezza del bordo esterno) (x/y) (default: 2) pixel tra 2 immagini (larghezza del bordo interno) (x/y) (default: 4)

delogo[=x:y:w:h:t]
    Elimina il logo di una stazione TV con una semplice interpolazione dei pixel circostanti. Metti semplicemente un rettangolo che copre il logo e guardarlo scomparire (e ogni tanto qualcosa di piu' brutto appare - dipende). angolo alto a sinistra del logo larghezza ed altezza del rettangolo da pulire Larghezza del bordo 'fuzzy' del rettangolo (aggiunto a w e h). Quando e' -1 un rettangolo verde viene disegnato sullo schermo per riuscire a trovare piu' facilmente i parametri x,y,w,h giusti.

zrmjpeg[=options]
    Encoder software da YV12 a MJPEG da usare con il dispositivo di uscita zr2. Queste opzioni selezionano le massime larghezze ed altezze gestibili dalla scheda (La gestione dei filtri di MPlayer attualmente non riesce ad ottenerli da solo). Utilizza queste opzioni per selezionare maxwidth e maxheight automaticamente ai valori conosciuti per la combinazione scheda/modo. Per esempio le opzioni valide sono dc10-PAL e buz-NTSC (default: dc10+PAL) Seleziona la codifica a colori oppure in bianco e nero. La codifica in bianco e nero e' piu' veloce. Colore e' il default. Decimazione orizzontale: 1, 2 o 4. Decimazione verticale: 1, 2 or 4. Seleziona la qualita' della compressione JPEG, 1 migliore, 20 molto brutta. Per default, la decimazione viene eseguita se l'hardware Zoran puo' scalare il file MJPEG risultante alla dimensione originale. L'opzione fd indica al filtro di eseguire sempre la decimazione richiesta (brutto).

OPZIONI GENERALI DI CODIFICA (SOLO MENCODER)

-audio-delay <0.0-...>
    Scrive il valore del ritardo audio nell'intestazione. Il default e' 0.0, valori negativi non funzionano. Questo non ritarda l'audio durante la codifica ma il riproduttore vedra' il valore del ritardo e ti evitera' l'utilizzo dell'opzione -delay.

-audio-density <1-50>
    Numero di blocchi audio per secondo (default e' 2, cioe' blocchi audio di 0.5 secondi).
    NOTA: Valido solo in modalita' CBR (Constant Bit Rate, Bit Rate Costante), in modalita' VBR (Variable Bit Rate, Bit Rate Variabile) viene ignorato in quanto ogni pacchetto viene scritto in un nuovo blocco.

-audio-preload <0.0-2.0>
    Setta l'intervallo di buffering audio (default: 0.5 sec).

-endpos <[[hh:]mm:]ss[.ms]|size[b|kb|mb]> (vedi anche le opzioni -ss e -sb)
    Ferma la codifica al tempo oppure alla posizione in byte specificata.
    NOTA: La posizione in byte non sara' precisa in quanto ci si puo' fermare solo sulla fine di un fotogramma.

    ESEMPIO: Codifica solo 56 secondi. Codifica solo 1 ora e 10 minuti. Codifica solo 100 MBytes.

-ffourcc <fourcc>
    Puo' essere usare per sovrascrivere il valore del fourcc del file di uscita.

    ESEMPIO: Il file di uscita conterra' 'div3' come fourcc del video.

-force-avi-aspect <0.2-3.0>
    Sovrascrive il valore del rapporto di aspetto memorizzato nei file AVI nell'intestazione vprp OpenDML. Puo' essere usato per cambiare il rapporto di aspetto con -ovc copy.

-info <option1:option2:...> (AVI only)
    Specifica le informazioni nell'intestazione del file AVI generato.

    Le opzioni disponibili sono: Visualizza questa descrizione. titolo del lavoro artista od autore del lavoro categoria originale del lavoro soggetto (contenuto) del lavoro informazioni sul copyright formato originale del materiale digitalizzato commento generale sul lavoro

-noautoexpand
    Non inserisce automaticamente il filtro expand nella catena dei filtri di MEncoder. Utile per controllare in quale punto della catena dei filtri vengono generati i sottotitoli quando vengono piazzati brutalmente nel filmato.

-noencodedups
    Non provare a codificare fotogrammi doppi come duplicati, genera sempre un fotogramma in uscita da zero byte per indicare i duplicati. Fotogrammi da zero byte verranno scritti comunque a meno che non sia caricato un filtro oppure un codificatore capace di effettuare la codifica di fotogrammi duplicati. Attualmente l'unico filtro di questo tipo e' harddup.

-noodml (solo -of avi)
    Non scrive l'indice OpenDML per file in formato AVI > 1GB.

-noskip
    Non saltare dei fotogrammi.

-o <nomefile>
    Scrive sul file specificato, invece che il default 'test.avi'.

-oac <codec name>
    Codifica con il codec audio specificato (niente valore di default).
    NOTA: Utilizza -oac help per avere una lista dei codec audio disponibili.

    ESEMPIO: niente codifica, solo copia del flusso byte per byte Codifica in formato PCM non compresso Codifica in MP3 (usando Lame) Codifica con un codec di libavcodec

-of <format> (CODICE BETA!)
    Codifica nel formato file 'contenitore' specificato (default: AVI).
    NOTA Utilizza -of help per avere una lista dei formati disponibili.

    ESEMPIO: Codifica in formato AVI. Codifica in formato MPEG flusso grezzo video (nessun multiplex - un solo flusso video)

-ofps <fps>
    Specifica un valore di fps (frames per seconds, fotogrammi al secondo) per il file di uscita che puo' essere differente da quello del materiale originale. Deve essere impostato per file con fps variabile (asf, qualche mov) e per filmati MPEG progressivi in formato 29.97 fps con telecine.

-ovc <codec name>
    Codifica con il codec video specificato (niente valore di default).
    NOTA: Utilizza -ovc help per avere una lista dei codec video disponibili

    ESEMPIO: niente codifica, solo copia del flusso Codifica in formato Divx4/Divx5 Codifica su un formato grezzo non compresso arbitrario (usa -fv format per selezionare come). Codifica con un codec di libavcodec

-passlogfile <nomefile>
    Scrive le informazioni del primo passo su <nomefile> invece che nel default divx2pass.log nella codifica in modalita' a due passaggi.

-skiplimit <valore>
    Specifica il numero massimo di fotogrammi che si possono saltare dopo averne codificato uno (-noskiplimit indica nessun limite).

-vobsubout <basename>
    Specifica il nome di base del file di uscita .idx e .sub. Questo disattiva il rendering dei sottotitoli nel file codificato e lo sposta verso i vari file dei sottotitoli VOBsub.

-vobsuboutid <langid>
    Specifica il codice a due lettere del linguaggio dei sottotitoli. Questo sovrascrive quanto viene letto dal DVD o dai file .ifo .

-vobsuboutindex <index>
    Specifica l'indice dei sottotitoli nei file di uscita (default: 0).

OPZIONI SPECIFICHE DI CODIFICA (SOLO MENCODER)
Puoi specificare opzione specifiche dei codec di codifica usando la sintassi seguente:

-<codec>opts <opzione1[=valore,opzione2,...>

Dove <codec> puo' essere: lavc, xvidenc, divx4, lame, toolame, x264enc

  divx4 (-divx4opts)
DivX4 e' obsoleto ed e' supportato per completezza. Per dettagli riguardanti le opzioni DivX4 dai un'occhiata ai sorgenti, molte opzioni non sono descritte qua.

help
    ottieni l'aiuto

br=<valore>
    Specifica il bitrate, la quantita' di spazio che occupera' il filmato (in kbit) (in bit)

key=<valore>
    valore massimo dell'intervallo tra due fotogrammi chiave (in fotogrammi)

deinterlace
    Abilita il deinterlacciamento (evitalo, DivX4 non lo gestisce in modo corretto)

q=<1-5>
    qualita' (1-piu' veloce, 5-migliore)

min_quant=<1-31>
    valore minimo di quantizzazione

max_quant=<1-31>
    valore massimo di quantizzazione

rc_period=<valore>
    periodo per il controllo del bitrate

rc_reaction_period=<valore>
    periodo di reazione per il controllo del bitrate

rc_reaction_ratio=<valore>
    rapporto di reazione per il controllo del bitrate

crispness=<0-100>
    Specifica l'increspatura/appiattimento.

pass=<1-2>
    Con questa opzione puoi codificare file Divx4 con due passi. Prima effettua una codifica con pass=1, poi esegui un'altra codifica con gli stessi parametri e pass=2.

vbrpass=<0-2>
    Sovrascrive l'argomento pass e utilizza la libreria VBR (Variable Bit Rate, bitrate variabile) di XviD invece di quella di DivX4. Le opzioni disponibili sono: codifica a singolo passo (uguale a non mettere pass=x sulla linea di comando) Primo passo (analisi) della codifica a due passi. Il file AVI ottenuto puo' essere mandato a /dev/null. Secondo passo (finale) della codifica a due passi.

  lame (-lameopts)

help
    ottieni l'aiuto.

vbr=<0-4>
    metodo a bitrate variabile cbr mt rh (default) abr mtrh

abr media (average) bitrate

cbr bitrate costante Forza anche la modalita' di codifica CBR (Costant BitRate, bitrate costante) nei modi ABR (Average BitRate, bitrate media) predefiniti successivi.

br=<0-1024>
    bitrate in kbps (solo CBR e ABR)

q=<0-9>
    qualita' (0-migliore, 9-peggiore) (solo VBR, Variable BitRate, bitrate variabile)

aq=<0-9>
    qualita' dell'algoritmo (0-migliore/piu' lento, 9-peggiore/piu' veloce)

ratio=<1-100>
    rapporto di compressione

vol=<0-10>
    guadagno dell'ingresso audio

mode=<0-3>
    (default: auto) stereo joint-stereo, stereo unito dualchannel, doppio canale mono

padding=<0-2>
    nessuno tutto adattivo

fast
    Attiva una codifica veloce sulle modalita' VBR predefinite successive. Il risultatto sara' una qualita' leggermente minore e bitrate maggiori

highpassfreq=<freq>
    Attiva un filtro passa alto alla frequenza specificata (Hz). Le frequenze sotto a quella specificata verranno eliminate. Il valore -1 disabilita il filtro, il valore 0 lascia che sia LAME a scegliere il valore automaticamente.

lowpassfreq=<freq>
    Attiva un filtro passa basso alla frequenza specificata (Hz). Le frequenze sopra a quella specificata verranno eliminate. Il valore -1 disabilita il filtro, il valore 0 lascia che sia LAME a scegliere il valore automaticamente.

preset=<valore>
    valore dei settaggi predefiniti Stampa le opzioni aggiuntive ed informazioni sui settaggi predefiniti. codifica VBR, buona qualita', bitrate compreso tra 150-180 kbps codifica VBR, alta qualita', bitrate compreso tra 170-210 kbps codifica VBR, qualita' molto alta, bitrate compreso tra 200-240 kbps codifica CBR, il settaggio di miglior qualita', bitrate di 320 kbps codifica ABR al bitrate medio specificato

    ESEMPIO:
adatto per molte persone, con la maggior parte della musica e comunque gia' una qualita' abbastanza alta. Codifica in ABR con un bitrate costante e forzato di 192 kbps Codifica in ABR ad un bitrate medio di 172 kbps. per persone con orecchie estremamente buone e apparecchi similari

  toolame (-toolameopts)

br=<0-384> (solo CBR)
    bitrate in kbps

mode=<stereo | jstereo | mono | dual>
    Seleziona la modalita' (default: mono per l'audio con un solo canale, altrimenti stereo).

psy=<0-3>
    modello psicoacustico (default: 2)

errprot=<0 | 1>
    Inserisce anche la protezione dagli errori.

debug=<0-10>
    livello di debug

  lavc (-lavcopts)
Molte opzioni di libavcodec (lavc in breve) sono molto specialistiche e documentate in modo molto rapido. Leggi i sorgenti per avere i dettagli completi.

ESEMPIO:

acodec=<valore>
    codec audio (default: mp2) MPEG Layer 2 MPEG Layer 3 AC3 IMA Adaptive PCM (4bits per campione, compressione 4:1)

abitrate=<valore>
    bitrate audio in kbps (default 224)

atag=<valore>
    Uso il formato audio di Windows specificato (p.es. atag=0x55).

bit_exact
    Usa solo algoritmi esatti bit a bit (eccetto per (I)DCT). Inoltre bit_exact disabilita molte ottimizzazioni e dovrebbe essere usato solo per test di regressione che hanno bisogno di file identici anche se cambia la versione del programma di codifica. Inoltre viene eliminato l'intestazione user_data nei flussi MPEG-4. Non usare questa opzione se non sai esattamente quello che stai facendo.

threads=<1-8>
    Numero massimo di threads da usare (default: 1). Puo' avere un leggero effetto negativo sulla stima del movimento.

vcodec=<valore>
    Impiega il codec (video) specificato (default: mpeg4). Motion JPEG (JPEG per i filmati) Lossless JPEG (JPEG senza perdita) H.263 H.263 Plus MPEG-4 (DivX 4/5) DivX 3 MS MPEG4v2 Windows Media Video, versione 1 (AKA WMV7) Windows Media Video, versione 2 (AKA WMV8) un vecchio codec RealVideo MPEG-1 video MPEG-2 video HuffYUV ASUS Video v1 ASUS Video v2 codec video senza perdita di FFmpeg

vqmin=<1-31>
    valore minimo di quantizzazione (passo 1/2) Non raccomandato (file molto grandi, una piccola differenza di qualita' e alcuni strani effetti collaterali: msmpeg4, h263 avranno una bassissima qualita', il controllo della dimensione del file viene confuso e si ottiene una qualita' minore e qualche programma non sara' capace di decodificare il file). Raccomandato per la codifica normale dei filmati mpeg4/mpeg1video (default). Raccomandato per h263(p)/msmpeg4. La ragione per preferire 3 invece che 2 e' che l'utilizzo di 2 puo' portare a overflow. (Questo verra' sistemato per h263(p) cambiando il valore di quantizzazione per MB, macroblock, in futuro, il formato msmpeg4 non puo' essere sistemato in quanto non supporta questa funzione.)

lmin=<0.01-255.0>
    Valore minimo del moltiplicatore di Lagrange per il controllo della dimensione del file, probabilmente lo vuoi uguale o maggiore di vqmin (default: 2.0).

lmax=<0.01-255.0>
    valore massimo del moltiplicatore di Lagrange (default: 31.0)

vqscale=<1-31>
    Quantizzazione costante / codifica a qualita' costante (seleziona una modalita' di quantizzazione fissa). Valori minori indicano migliore qualita' ma file di dimensioni maggiori (default: 0 (disabilitato)). 1 non e' raccomandato (controlla vqmin per i dettagli)

vqmax=<1-31>
    Valore massimo di quantizzazione (passo 1/2), 10-31 dovrebbe essere un buon valore (default: 31).

mbqmin=<1-31>
    obsoleto, utilizza vqmin

mbqmax=<1-31>
    obsoleto, utilizza vqmax

vqdiff=<1-31>
    valore massimo di differenza di quantizzazione tra fotogrammi consecutivi I o P (passo 1/2) (default: 3)

vmax_b_frames=<0-4>
    numero massimo di fotogrammi B tra fotogrammi non B: niente fotogrammi B (default) buon valore per MPEG-4

vme=<0-5>
    metodo di stima del movimento (motion estimation). I metodi disponibili sono: nessuno (qualita' molto bassa) completo (lento, attualmente non mantenuto e disabilitato)) log (qualita' bassa, attualmente non mantenuto e disabilitato)) phods (qualita' bassa, attualmente non mantenuto e disabilitato)) EPZS: diamante di dimensione=1, la dimensione puo' essere specificata con le opzioni *dia (default) X1 (sperimentale, attualmente mappato su EPZS)

    NOTA: attualmente 0-3 ignorano la quantita' di Bits usati, percio' la qualita' puo' essere bassa.

me_range=<0-9999>
    raggio di ricerca per la stima del movimento, (default: 0 (illimitato)))

mbd=<0-2>
    Algoritmo di decisione dei macroblock (modalita' ad alta qualita'), codifica ogni blocco in tutte le modalita' e seleziona la migliore. Questo opzione rallenta la codifica ma si ottengono qualita' migliore e minori dimensioni del file finale. Utilizza mbcmp (default). Seleziona il modo MB che necessita' della minor quantita' di bit (=vhq). Seleziona il modo MB che ha la minor distorsione.

vhq Uguale a mbd=1, mantenuto per ragioni di compatibilita'.

v4mv
    Permette 4 vettori di movimento per ogni macroblock (qualita' leggermente migliore). Funziona meglio quando viene usato con mbd > 0.

obmc
    overlapped block motion compensation (H.263+), ??? compensazione del movimento del blocco sovrapposta ???

loop
    filtro ad anello (H.263+) nota, non funziona

inter_threshold <-1000-1000>
    Non fa assolutamente nulla, al momento.

keyint=<0-300>
    intervallo massimo fra fotogrammi chiave in fotogrammi (default: 250 cioe' un keyframe ogni dieci secondi in un filmato a 25 fps). I keyframe sono necessari per il posizionamento perche' il posizionamento e' possibile solo su un keyframe. Lo svantaggio e' che i keyframe hanno bisogno di piu' spazio rispetto agli altri tipi di fotogrammi percio' un numero alto comporta file di dimensione leggermente minore ma un posizionamento meno preciso. 0 e' equivalente a 1 che rende tutti i fotogrammi dei fotogrammi chiave. Valori maggiori di 300 non sono raccomandati perche' la qualita' puo' essere non buona e dipende dal programma di codifica, dal programma di decodifica e dalla fortuna (o sfortuna) Per avere un formato MPEG-1/2/4 conforme deve essere <= 132.

sc_threshold=<-1000000-1000000>
    Soglia per la gestione del cambio della scena. Libavcodec inserisce un keyframe quando trova un cambio di scena. Puoi inserire la sensibilita' dell'attivazione del cambio scena con questa opzione. -1000000 indica che viene attivato un cambio scena ad ogni fotogramma, 1000000 indica invece che non viene trovato ed attivato nessun cambio scena (default 0).

vb_strategy=<0-1>
    strategia per la scelta tra fotogrammi I/P/B (passo 1): Usa sempre il numero massimo di fotogrammi di tipo B (default) Evita fotogrammi B in scene ad alto movimento.

vpass=<1-3>
    Attiva la modalita' interna a due (o tre) passi, specificalo solo se vuoi codificare utilizzando i due (o tre) passaggi. primo passo (vedi anche turbo) secondo passo Ennesimo passo (secondo e terzo passo della codifica a 3 passi).
    Ecco come lavora e come usarlo:
    Il primo passo (vpass=1) scrive il file delle statistiche. Puoi voler disattivare qualche opzione molto 'affamata' di CPU come viene fatto dalla modalita' turbo.
    Nella modalita' a due passi il secondo passaggio (vpass=2) legge il file delle statistiche e basa le decisioni del controllo della dimensione del file su di esso.
    Nella modalita' a 3 passi il secondo passo (vpass=3, non e' un errore di battitura) esegue entrambi: prima legge le statistiche poi le sovrascrive. Puoi voler salvare il file ./divx2pass.log prima di lanciare MEncoder se esiste la possibilita' di bloccarne l'esecuzione. Puoi usare tutte le opzione di codifica, eccetto le opzioni veramente 'affamate' di CPU come "qns".
    Il terzo passo (vpass=3) e' lo stesso che il secondo, eccetto per il fatto che ha disponibili le statistiche del passo precedente su cui lavorare. Puoi usare tutte le opzioni di codifica, comprese quelle molto 'affamate'.

    huffyuv:
Salva le statistiche Codifica con una tabella Huffman ottimale basata sulle statistiche del primo passo.

turbo (solo modalita' a 2 passaggi)
    Velocizza in modo drammatico il primo passaggio utilizzando algoritmi piu' veloci e disabilitando opzioni che necessitano di molto tempo di CPU. Questo probabilmente riduce leggermente il PSNR globale (circa 0.01 dB) e cambia qualche fotogramma, sia come tipo sia riducendone il suo PSNR (fino ad un massimo di 0.03 dB).

aspect=<x/y>
    Memorizza l'aspetto del film internamente al file, proprio come nei file MPEG. Soluzione migliore della riscalatura perche' la qualita' non viene ridotta. Solo MPlayer e pochi altri programmi potranno visualizzare questi file in modo corretto, gli altri programmi visualizzeranno il filmato con l'aspetto sbagliato. Il parametro puo' essere dato come un rapporto oppure un numero floating point.

    ESEMPIO:

autoaspect
    Uguale all'opzione aspect, ma automaticamente calcola l'aspetto, tenendo in considerazione tutte le varie operazioni (taglia, espandi, riscala, etc) fatte nella catena dei filtri. Non rallenta assolutamente la codifica percio' puoi lasciarlo sempre attivo.

vbitrate=<valore>
    Specifica il bitrate (passo 1/2) (default: 800).
    ATTENZIONE: 1kBit = 1000 Bit (in kbit) (in bit)

vratetol=<valore>
    Tolleranza approssimata nella dimensione del file in kBit. 1000-100000 e' una gamma accettabile. (attenzione: 1kBit = 1000 Bit) (default: 8000)
    NOTA: vratetol non dovrebbe essere troppo grande durante il secondo passo o potrebbero esserci problemi se si utilizza vrc_(min|max)rate.

vrc_maxrate=<valore>
    valore massimo del bitrate in kbit/sec (passo 1/2) (default: 0, illimitato)

vrc_minrate=<valore>
    valore minimo del bitrate in kbit/sec (passo 1/2) (default: 0, illimitato)

vrc_buf_size=<valore>
    dimensione del buffer in kbit (passo 1/2). Per MPEG-1/2 questo regola anche la dimensione del vbv (video buffer verifier), utilizza 327 per i VCD, 917 per i SVCD e 1835 per i DVD.

vrc_buf_aggressivity
    attualmente inutile

vrc_strategy
    Dummy, riservato per utilizzi futuri.

vb_qfactor=<-31.0-31.0>
    fattore di quantizzazione tra fotogrammi B e fotogrammi non B (passo 1/2) (default: 1.25)

vi_qfactor=<-31.0-31.0>
    fattore di quantizzazione tra fotogrammi I e non-I (pass 1/2) (default: 0.8)

vb_qoffset=<-31.0-31.0>
    scostamento di quantizzazione tra fotogrammi B e fotogrammi non B (passo 1/2) (default: 1.25)

vi_qoffset=<-31.0-31.0>
    (passo 1/2) (default: 0.0)
    se v{b|i}_qfactor > 0
    quantizzatore fotogrammi I/B = quantizzatore fotogramma P * v{b|i}_qfactor + v{b|i}_qoffset
    altrimenti
    esegui il normale controllo della dimensione (non bloccarti sulla quantizzazione del fotogramma P successivo) e rendi q= -q * v{b|i}_qfactor + v{b|i}_qoffset

    CONSIGLIO: Per avere una codifica a quantizzazione costante con valori diversi per i fotogrammi I/P e B puoi usare: lmin= <ip_quant>:lmax= <ip_quant>:vb_qfactor= <b_quant/ip_quant>.

vqblur=<0.0-1.0> (passo 1)
    Sfocatura di quantizzazione (default: 0.5), valori piu' grandi medieranno la quantizzazione maggiormente nel tempo (cambiamenti piu' lenti). Sfocatura di quantizzazione disabilitata. Media la quantizzazione su tutti i fotogrammi precedenti.

vqblur=<0.0-99.0> (passo 2)
    Sfocatura gaussiana di quantizzazione (default: 0.5), valori piu' grandi medieranno la quantizzazione maggiormente nel tempo (cambiamenti piu' lenti).

vqcomp=<valore>
    Compressione della quantizzazione, dipende da vrc_eq (passo 1/2) (default: 0.5).

vrc_eq=<equation>
    equazione principale per il controllo della dimensione del file (ratecontrol) (passo 1/2)
bitrate costante qualita' costante approssima l'equazione del vecchio controllo di dimensione con qcomp a 0.5 o qualcosa del genere (default)

    operatori:

    variabili:
complessita' della texture complessita' della texture intra e non-intra complessita' media della texture complessita' media della texture intra nei fotogrammi I complessita' media della texture intra nei fotogrammi P complessita' media della texture non intra nei fotogrammi P complessita' media della texture non intra nei fotogrammi B Bit usati per i vettori di movimento lunghezza massima dei vettori di movimento in scala log2 numero di macro blocchi intra / numero di macro blocchi complessita' spaziale complessita' temporale qcomp dalla linea di comando E' 1 se il tipo di immagine e' I/P/B altrimenti 0. Controlla il tuo libro preferito di matematica.

    funzioni:
massimo / minimo e' 1 se a>b, 0 in caso contrario e' 1 se a<b, 0 in caso contrario e' 1 se a==b, 0 in caso contrario

vrc_override=<options>
    Utilizza la qualita' specificata per alcuni pezzi particolari (finale, riconoscimenti, ...) (passo 1/2). Le opzioni sono <fotogramma iniziale>, <fotogramma finale>, <qualita'> [/<fotogramma iniziale>, <fotogramma finale>, <qualita'>[/...]]: